Subject: Re: What's the right forum for developing XML Messaging
From: Ofer Avineri <[email-masked]>
To: David Burdett <[email-masked]>, "'Smith, Chris '" <[email-masked]>
Cc: "IETF Trade (E-mail)" <[email-masked]>
Date: Wed, 23 Feb 2000 13:32:34 +0200

<David Burdett>
> Remember that IOTP was developed to solve a particular eCommerce problem
> namely how to do purchases and payments reliably and securely on the
> Internet</David Burdett>

<Ofer Avineri>
This is exactly why we think a new Working Group within IETF should be
formed, to deal with the entire XML Transport/Messaging scope. This is the
WG that will work with +any+ 3rd party community trying to facilitate its
solution on XML. </Ofer Avineri>

<Chris Smith>
> As for xmlmessaging - I'm curious if others think that
> 'xmlmessaging' will be used solely for e-commerce. Myself -
> I think that's a rhetorical question! It will be used for
> all kinds of things. </Chris Smith>

<Ofer Avineri>
Let's take the VoxML initiative for example, they're trying to standardize a
way to +Transport HTML/XML content to Cellular Voice Information, I see no
e-business nor e-commerce requirements from them.
If ebXML (and we're working there) wants to develop its own XML Transport
protocol, why do they need the IETF? Perhaps they should move IP, HTTP and
SNMP to ebXML as well? We can always address the issue with the IESG or
IAB.</Ofer Avineri>

Ofer Avineri
E-MANAGE Product Manager,
Digital Intelligence Systems, Inc.

----- Original Message -----
From: David Burdett <[email-masked]>
To: 'Smith, Chris ' <[email-masked]>
Cc: IETF Trade (E-mail) <[email-masked]>
Sent: Tuesday, February 22, 2000 11:49 PM
Subject: RE: What's the right forum for developing XML Messaging

> Chris
>
> I think there is a great overlap between eCommerce's needs for messaging
and
> the general need for "messaging" particularly in the area of reliable
> messaging and use of security (see
> http://www.xml.org/archives/ebxml-transport/msg00145.html
> <http://www.xml.org/archives/ebxml-transport/msg00145.html> ) which
contains
> the Overview and Requirements document for the group and you will find
that
> the scope is not focused just on eCommerce.
>
> Remember that IOTP was developed to solve a particular eCommerce problem
> namely how to do purchases and payments reliably and securely on the
> Internet.
>
> If it were not for the overlap in the requiremennt then I would be
strongly
> advocating separate activities to focus on the needs of each as you
suggest.
> However as I see it the objectives of the original IETF XML Messaging and
> ebXML Transport, Routing and Packaging groups (as compared with ebXML as a
> whole) are just about identical.
>
> In my view I anticipate that the results of the work currently under way
> will be generally applicable to other situations - not just eCommerce. If
> additional needs are required then they I think it should be possible to
> meet the need as extensions rather than a re-write.
>
> David
>
> -----Original Message-----
> From: Smith, Chris [mailto:[email-masked]]
> Sent: Monday, February 21, 2000 7:06 AM
> To: IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
>
>
>
>
> As one of the "people who developed IOTP" (and also one who
> 'developed *using* IOTP') we did what almost all DTD users do.
>
> We wrote a core schema as a DTD, and extended and refined it
> to its finished form (that is 'usable form') using English.
> I've noticed that a great many RFCs use this strategy as
> well. It seems to have worked reasonably well.
>
> As for xmlmessaging - I'm curious if others think that
> 'xmlmessaging' will be used solely for e-commerce. Myself -
> I think that's a rhetorical question! It will be used for
> all kinds of things.
>
> This was my original thought when David mentioned the
> whole question of either/or - I figured that the IETF
> side was appropriate to work on the core xmlmessaging,
> while the ebXML would work on using it for e-business.
>
> Of course, in later notes, I find that these two groups
> are essentially the same people. This then raises a different
> concern; the initial notes on xmlmessaging do not (and should
> not!) say that it is only for e-business purposes. However,
> it that is the only reason it gets developed at all, then I
> would have a minor concern that we might not get the best
> possible xmlmessaging spec available due to a focus on
> e-business.
>
> I beginning to think that ebXML should go solve the problems
> they need to solve - just don't pretend that you are solving
> the generic xmlmessaging problem for everyone. If they *do*
> solve it in a robust and reusable manner, great - then it is
> available. Since most of the individuals (and their sponsoring
> companies) are part of ebXML for e-business reasons, this makes
> a lot of sense to me. This group wasn't formed to solve generic
> problems, they were formed to solve e-business problems.
>
> If an ebXML result ends up missing essential non-e-business features,
> then xmlmessaging will still have to be done separately.
>
> However - if ebXML wants to use a generic xmlmessaging capability as
> a foundation, then it seems quite appropriate that a separate group
> work on that portion of it, and that they include all appropriate
> requirements, not just the e-business ones.
>
> ------------------------------------------------------------
>  Chris Smith                                +1.416.348.6090
>  Royal Bank                       [email-masked]
>
>
>
> > -----Original Message-----
> > From: Michie, Alan [ mailto:[email-masked]
> <mailto:[email-masked]> ]
> > Sent: February 17, 2000 03:59 PM
> > To: 'David Burdett'
> > Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> > Subject: RE: What's the right forum for developing XML Messaging
> >
> >
> > David,
> >
> > The group of people who developed IOTP have probably
> > already decided what to do about the choice between
> > using plain DTD's or some form of schema which allows
> > element values to be described more precisely.
> >
> > Can you tell me what has been decided and why or refer
> > me to some information on the web or in the email
> > archive --- OR -- is the matter still
> > under consideration for the xmlmessage spec?
>
>

Content-return: allowed
Date: Tue, 22 Feb 2000 13:49:58 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: "'Smith, Chris '" <[email-masked]>
Cc: "IETF Trade (E-mail)" <[email-masked]>

Chris
 
I think there is a great overlap between eCommerce's needs for messaging and
the general need for "messaging" particularly in the area of reliable
messaging and use of security (see
http://www.xml.org/archives/ebxml-transport/msg00145.html
<http://www.xml.org/archives/ebxml-transport/msg00145.html> ) which contains
the Overview and Requirements document for the group and you will find that
the scope is not focused just on eCommerce.
 
Remember that IOTP was developed to solve a particular eCommerce problem
namely how to do purchases and payments reliably and securely on the
Internet.
 
If it were not for the overlap in the requiremennt then I would be strongly
advocating separate activities to focus on the needs of each as you suggest.
However as I see it the objectives of the original IETF XML Messaging and
ebXML Transport, Routing and Packaging groups (as compared with ebXML as a
whole) are just about identical.
 
In my view I anticipate that the results of the work currently under way
will be generally applicable to other situations - not just eCommerce. If
additional needs are required then they I think it should be possible to
meet the need as extensions rather than a re-write.
 
David

-----Original Message-----
From: Smith, Chris [mailto:[email-masked]]
Sent: Monday, February 21, 2000 7:06 AM
To: IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

As one of the "people who developed IOTP" (and also one who 
'developed *using* IOTP') we did what almost all DTD users do. 

We wrote a core schema as a DTD, and extended and refined it 
to its finished form (that is 'usable form') using English. 
I've noticed that a great many RFCs use this strategy as 
well. It seems to have worked reasonably well. 

As for xmlmessaging - I'm curious if others think that 
'xmlmessaging' will be used solely for e-commerce. Myself - 
I think that's a rhetorical question! It will be used for 
all kinds of things. 

This was my original thought when David mentioned the 
whole question of either/or - I figured that the IETF 
side was appropriate to work on the core xmlmessaging, 
while the ebXML would work on using it for e-business. 

Of course, in later notes, I find that these two groups 
are essentially the same people. This then raises a different 
concern; the initial notes on xmlmessaging do not (and should 
not!) say that it is only for e-business purposes. However, 
it that is the only reason it gets developed at all, then I 
would have a minor concern that we might not get the best 
possible xmlmessaging spec available due to a focus on 
e-business. 

I beginning to think that ebXML should go solve the problems 
they need to solve - just don't pretend that you are solving 
the generic xmlmessaging problem for everyone. If they *do* 
solve it in a robust and reusable manner, great - then it is 
available. Since most of the individuals (and their sponsoring 
companies) are part of ebXML for e-business reasons, this makes 
a lot of sense to me. This group wasn't formed to solve generic 
problems, they were formed to solve e-business problems. 

If an ebXML result ends up missing essential non-e-business features, 
then xmlmessaging will still have to be done separately. 

However - if ebXML wants to use a generic xmlmessaging capability as 
a foundation, then it seems quite appropriate that a separate group 
work on that portion of it, and that they include all appropriate 
requirements, not just the e-business ones. 

------------------------------------------------------------ 
 Chris Smith                                +1.416.348.6090 
 Royal Bank                       [email-masked] 

> -----Original Message----- 
> From: Michie, Alan [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: February 17, 2000 03:59 PM 
> To: 'David Burdett' 
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail) 
> Subject: RE: What's the right forum for developing XML Messaging 
> 
> 
> David, 
> 
> The group of people who developed IOTP have probably 
> already decided what to do about the choice between 
> using plain DTD's or some form of schema which allows 
> element values to be described more precisely. 
> 
> Can you tell me what has been decided and why or refer 
> me to some information on the web or in the email 
> archive --- OR -- is the matter still 
> under consideration for the xmlmessage spec? 

Content-return: allowed
Date: Mon, 21 Feb 2000 18:59:39 -0800
From: David Burdett <[email-masked]>
Subject: RE: where can I get IOTP 2.0
To: Chun OUYANG <[email-masked]>, [email-masked]

You can't. 
 
Right now version 1.0 of IOTP is (just about) to be issued as an
informational RFC. There are also some initial implementations. After the
results of these have been running for a while work on version 2.0 could
start based on feedback from implementation of version 1.0.
 
David

-----Original Message-----
From: Chun OUYANG [mailto:[email-masked]]
Sent: Monday, February 21, 2000 2:44 PM
To: [email-masked]
Subject: where can I get IOTP 2.0

Hi, 

Could any one please to tell me that where I can get IOTP v2.0 on the
Internet? 

Thank you very much. 

-- 

Chun OUYANG

Institute for Telecommunication Research

University of South Australia  

Tel: 61 08 83023740        Fax: 83023873

Date: Tue, 22 Feb 2000 09:13:47 +1030
From: Chun OUYANG <[email-masked]>
Subject: where can I get IOTP 2.0
Sender: [email-masked]
To: [email-masked]
Organization: ITR

--Boundary_(ID_Y0iwLA0WWr2MQ55xjQUm4w)
Content-type: text/plain; charset=us-ascii
Content-transfer-encoding: 7bit

Hi,

Could any one please to tell me that where I can get IOTP v2.0 on the
Internet?

Thank you very much.

--
Chun OUYANG
Institute for Telecommunication Research
University of South Australia
Tel: 61 08 83023740        Fax: 83023873

--Boundary_(ID_Y0iwLA0WWr2MQ55xjQUm4w)
Content-type: text/html; charset=us-ascii
Content-transfer-encoding: 7bit

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
Hi,
<p>Could any one please to tell me that where I can get IOTP v2.0 on the
Internet?
<p>Thank you very much.
<pre>--&nbsp;
Chun OUYANG
Institute for Telecommunication Research
University of South Australia&nbsp;&nbsp;
Tel: 61 08 83023740&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fax: 83023873</pre>
&nbsp;</html>

--Boundary_(ID_Y0iwLA0WWr2MQ55xjQUm4w)--

Date: Mon, 21 Feb 2000 10:05:52 -0500
From: "Smith, Chris " <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: "IETF Trade (E-mail)" <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

--Boundary_(ID_qdEhOE1jbfwSwUCvPL+jUg)
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 7bit

As one of the "people who developed IOTP" (and also one who
'developed *using* IOTP') we did what almost all DTD users do.

We wrote a core schema as a DTD, and extended and refined it
to its finished form (that is 'usable form') using English.
I've noticed that a great many RFCs use this strategy as
well. It seems to have worked reasonably well.

As for xmlmessaging - I'm curious if others think that
'xmlmessaging' will be used solely for e-commerce. Myself - 
I think that's a rhetorical question! It will be used for
all kinds of things.

This was my original thought when David mentioned the
whole question of either/or - I figured that the IETF
side was appropriate to work on the core xmlmessaging,
while the ebXML would work on using it for e-business.

Of course, in later notes, I find that these two groups
are essentially the same people. This then raises a different
concern; the initial notes on xmlmessaging do not (and should
not!) say that it is only for e-business purposes. However,
it that is the only reason it gets developed at all, then I
would have a minor concern that we might not get the best
possible xmlmessaging spec available due to a focus on 
e-business.

I beginning to think that ebXML should go solve the problems
they need to solve - just don't pretend that you are solving
the generic xmlmessaging problem for everyone. If they *do*
solve it in a robust and reusable manner, great - then it is
available. Since most of the individuals (and their sponsoring
companies) are part of ebXML for e-business reasons, this makes
a lot of sense to me. This group wasn't formed to solve generic
problems, they were formed to solve e-business problems.

If an ebXML result ends up missing essential non-e-business features, 
then xmlmessaging will still have to be done separately.

However - if ebXML wants to use a generic xmlmessaging capability as
a foundation, then it seems quite appropriate that a separate group
work on that portion of it, and that they include all appropriate
requirements, not just the e-business ones.

------------------------------------------------------------ 
 Chris Smith                                +1.416.348.6090 
 Royal Bank                       [email-masked] 

> -----Original Message-----
> From: Michie, Alan [mailto:[email-masked]]
> Sent: February 17, 2000 03:59 PM
> To: 'David Burdett'
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David,
> 
> The group of people who developed IOTP have probably
> already decided what to do about the choice between
> using plain DTD's or some form of schema which allows
> element values to be described more precisely.
> 
> Can you tell me what has been decided and why or refer
> me to some information on the web or in the email
> archive --- OR -- is the matter still
> under consideration for the xmlmessage spec?

--Boundary_(ID_qdEhOE1jbfwSwUCvPL+jUg)
Content-type: text/html; charset=iso-8859-1
Content-transfer-encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
5.5.2448.0">
<TITLE>RE: What's the right forum for developing XML Messaging</TITLE>
</HEAD>
<BODY>
<BR>

<P><FONT SIZE=3D2>As one of the &quot;people who developed IOTP&quot; =
(and also one who</FONT>
<BR><FONT SIZE=3D2>'developed *using* IOTP') we did what almost all DTD =
users do.</FONT>
</P>

<P><FONT SIZE=3D2>We wrote a core schema as a DTD, and extended and =
refined it</FONT>
<BR><FONT SIZE=3D2>to its finished form (that is 'usable form') using =
English.</FONT>
<BR><FONT SIZE=3D2>I've noticed that a great many RFCs use this =
strategy as</FONT>
<BR><FONT SIZE=3D2>well. It seems to have worked reasonably =
well.</FONT>
</P>

<P><FONT SIZE=3D2>As for xmlmessaging - I'm curious if others think =
that</FONT>
<BR><FONT SIZE=3D2>'xmlmessaging' will be used solely for e-commerce. =
Myself - </FONT>
<BR><FONT SIZE=3D2>I think that's a rhetorical question! It will be =
used for</FONT>
<BR><FONT SIZE=3D2>all kinds of things.</FONT>
</P>

<P><FONT SIZE=3D2>This was my original thought when David mentioned =
the</FONT>
<BR><FONT SIZE=3D2>whole question of either/or - I figured that the =
IETF</FONT>
<BR><FONT SIZE=3D2>side was appropriate to work on the core =
xmlmessaging,</FONT>
<BR><FONT SIZE=3D2>while the ebXML would work on using it for =
e-business.</FONT>
</P>

<P><FONT SIZE=3D2>Of course, in later notes, I find that these two =
groups</FONT>
<BR><FONT SIZE=3D2>are essentially the same people. This then raises a =
different</FONT>
<BR><FONT SIZE=3D2>concern; the initial notes on xmlmessaging do not =
(and should</FONT>
<BR><FONT SIZE=3D2>not!) say that it is only for e-business purposes. =
However,</FONT>
<BR><FONT SIZE=3D2>it that is the only reason it gets developed at all, =
then I</FONT>
<BR><FONT SIZE=3D2>would have a minor concern that we might not get the =
best</FONT>
<BR><FONT SIZE=3D2>possible xmlmessaging spec available due to a focus =
on </FONT>
<BR><FONT SIZE=3D2>e-business.</FONT>
</P>

<P><FONT SIZE=3D2>I beginning to think that ebXML should go solve the =
problems</FONT>
<BR><FONT SIZE=3D2>they need to solve - just don't pretend that you are =
solving</FONT>
<BR><FONT SIZE=3D2>the generic xmlmessaging problem for everyone. If =
they *do*</FONT>
<BR><FONT SIZE=3D2>solve it in a robust and reusable manner, great - =
then it is</FONT>
<BR><FONT SIZE=3D2>available. Since most of the individuals (and their =
sponsoring</FONT>
<BR><FONT SIZE=3D2>companies) are part of ebXML for e-business reasons, =
this makes</FONT>
<BR><FONT SIZE=3D2>a lot of sense to me. This group wasn't formed to =
solve generic</FONT>
<BR><FONT SIZE=3D2>problems, they were formed to solve e-business =
problems.</FONT>
</P>

<P><FONT SIZE=3D2>If an ebXML result ends up missing essential =
non-e-business features, </FONT>
<BR><FONT SIZE=3D2>then xmlmessaging will still have to be done =
separately.</FONT>
</P>

<P><FONT SIZE=3D2>However - if ebXML wants to use a generic =
xmlmessaging capability as</FONT>
<BR><FONT SIZE=3D2>a foundation, then it seems quite appropriate that a =
separate group</FONT>
<BR><FONT SIZE=3D2>work on that portion of it, and that they include =
all appropriate</FONT>
<BR><FONT SIZE=3D2>requirements, not just the e-business ones.</FONT>
</P>

<P><FONT =
SIZE=3D2>------------------------------------------------------------ =
</FONT>
<BR><FONT SIZE=3D2>=A0Chris =
Smith=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=
=A0=A0=A0=A0=A0=A0=A0=A0 +1.416.348.6090 </FONT>
<BR><FONT SIZE=3D2>=A0Royal =
Bank=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0 =
[email-masked] </FONT>
</P>
<BR>
<BR>

<P><FONT SIZE=3D2>&gt; -----Original Message-----</FONT>
<BR><FONT SIZE=3D2>&gt; From: Michie, Alan [<A =
HREF=3D"mailto:[email-masked]">mailto:Alan.Michie@c=
orpmail.telstra.com.au</A>]</FONT>
<BR><FONT SIZE=3D2>&gt; Sent: February 17, 2000 03:59 PM</FONT>
<BR><FONT SIZE=3D2>&gt; To: 'David Burdett'</FONT>
<BR><FONT SIZE=3D2>&gt; Cc: ebXML Transport (E-mail); IETF Trade =
(E-mail)</FONT>
<BR><FONT SIZE=3D2>&gt; Subject: RE: What's the right forum for =
developing XML Messaging</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; David,</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; The group of people who developed IOTP have =
probably</FONT>
<BR><FONT SIZE=3D2>&gt; already decided what to do about the choice =
between</FONT>
<BR><FONT SIZE=3D2>&gt; using plain DTD's or some form of schema which =
allows</FONT>
<BR><FONT SIZE=3D2>&gt; element values to be described more =
precisely.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Can you tell me what has been decided and why =
or refer</FONT>
<BR><FONT SIZE=3D2>&gt; me to some information on the web or in the =
email</FONT>
<BR><FONT SIZE=3D2>&gt; archive --- OR -- is the matter still</FONT>
<BR><FONT SIZE=3D2>&gt; under consideration for the xmlmessage =
spec?</FONT>
</P>

</BODY>
</HTML>

--Boundary_(ID_qdEhOE1jbfwSwUCvPL+jUg)--

Content-return: allowed
Date: Fri, 18 Feb 2000 17:32:50 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: "'Michie, Alan'" <[email-masked]>, David Burdett <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

The IOTP specification (version 1.0) is now complete and should shortly be
issued as an informational RFC. This specification was developed before much
development work had been done on schemas. Therefore everything is defined
in terms of DTDs. I don't think that schemas will be used until version 2.0
of IOTP is developed. This is dependent on the feedback obtained from the
results of implementations of version 1.0 and the development of a separate
messaging specification.

For XML Messaging (and/or ebXML) I anticipate that both Schema and DTD
versions of the necessary documents will be developed as this does not
affect the document **instance**.

You can then:
o use either the DTD or the Schema depending on what meets your need best,
and
o if you choose the DTD, implement the validation and other rules implied by
the schema as code within your application.

Regards

David

-----Original Message-----
From: Michie, Alan [mailto:[email-masked]]
Sent: Thursday, February 17, 2000 12:59 PM
To: 'David Burdett'
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David,

The group of people who developed IOTP have probably already decided what to
do about the choice between using plain DTD's or some form of schema which
allows element values to be described more precisely.

Can you tell me what has been decided and why or refer me to some
information on the web or in the email archive --- OR -- is the matter still
under consideration for the xmlmessage spec?

Thanks

Alan

> -----Original Message-----
> From:	David Burdett [SMTP:[email-masked]]
> Sent:	Tuesday, 15 February 2000 06:20 pm
> To:	[email-masked]; Rik Drummond
> Cc:	Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject:	RE: What's the right forum for developing XML Messaging
> 
> Bob
> 
> You say ...
> 
> >>>However, we welcome the participation of the IETF and we are happy to
> have a dialog about how we can most effectively use the resources of both
> organizations to produce the highest quality result.<<<
> 
> Neither the IETF nor the ebXML have ANY resources. What they do have is
> individuals who work for companies who aim to develop solutions to common
> problems in an open way for the benefit of themselves, their companies and
> the wider community.
> 
> Whether the individuals concerned work within the domain of the IETF or
> ebXML is immaterial. If the same group of individuals work on essentially
> the same problems from the same starting point in either forum then the
> end
> result will be very similar.
> 
> I am actually neutral about whether work, such as the TP&R work, should be
> done in the IETF or ebXML as I think either could work. What really counts
> is finding a forum for a community of individuals representing the
> companies
> who will actually implement the solutions to work rapidly towards a common
> end point. If we don't then we will risk the development of competing
> standards which is in no-one's interest.
> 
> So what we are talking about here really is finding a governance structure
> that works for everyone. Perhaps a joint governance approach between ebXML
> and the IETF might be appropriate and helpful if one were possible to set
> up.
> 
> I also know that individuals CAN't sensibly work to develop simultaneously
> two solutions to essentially a single problem. Hence my original email.
> 
> David
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 14, 2000 6:27 PM
> To: Rik Drummond
> Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
> (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Let me add a bit to this. Just for the record, I work for IBM, I'm on the
> OASIS board,
> and I'm Vice-Chair of ebXML.
> 
> IBM has participated in many of the fine efforts of the IETF. So it is
> wrong to say in
> any way that IBM is anti-IETF. We will continue to particpate in the IETF,
> ebXML, OASIS,
> W3C, HL7, IFX Forum, ...
> 
> The ebXML effort is a unique attempt by more than 100 people representing
> over 50
> companies, consortiums, and trade organizations to provide a coherent,
> unified
> infrastructure solution around XML for e-business. In order to relevant,
> this work must be
> done quickly and thus must synthesize quality work that has been done
> elsewhere.
> In some cases the work we do will be new, but we will always first look at
> existing
> art and we will work with other consortiums where appropriate. In the case
> where the
> other work is being done concurrently, we will endeavor to work together
> with the
> other consortium to create a final standard that is actually useful and
> does not
> divide the industry. We welcome all organizations involved to share in
> this
> commitment. We welcome all companies and organizations who are not
> involved to join us and create a positive result. We hope that their
> involvement
> from the inside will make the ebXML effort stronger and maximally
> inclusive.
> In my opinion, it does no person, company, or organization any good for
> them
> to use their lack of involvement as a poliical lever to criticize the
> effort.
> 
> The messaging work being done within Rik's group is central to much of
> what
> will come out of ebXML and is also likely to be one of the first
> deliverables. I
> therefore feel that the work must remain within ebXML. However, we welcome
> the participation of the IETF and we are happy to have a dialog about how
> we can most effectively use the resources of both organizations to produce
> the highest quality result. We are very open-minded about the
> structure of such a collaboration and in no way am I looking at this as
> being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
> make it such, I would appreciate their open statements to this effect.
> 
> _____________________________________________________
> 
> Bob Sutor
> 
>         IBM XML Strategy and Technology Group: http://www.ibm.com/xml
>         OASIS Chief Strategy Officer: http://www.oasis-open.org
> 
>         Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
>         Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757
> 
> 
> "Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
> 06:59:24 PM
> 
> Sent by:  [email-masked]
> 
> 
> To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
>       <[email-masked]>
> cc:   "ebXML Transport (E-mail)" <[email-masked]>,
>       "IETF Trade (E-mail)" <[email-masked]>
> Subject:  RE: What's the right forum for developing XML Messaging
> 
> 
> 
> ibm and microsoft are at logger-heads... forcing a decision to go to
> ietf..
> means ibm will not easily follow. forcing a decision to stay in ebxml
> means
> that microsoft will not participate.... so we should not force a decision
> by
> stirring things up until we see if we can find a win/win. i am not sure
> one
> exists... but then i am not done looking for one yet... best regards, Rik
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dick
> Brooks (E)
> Sent: Friday, February 11, 2000 9:06 PM
> To: David Burdett; Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
> 
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
> for
> endorsement. Anything else is premature.
> 
> Dave, it really is a personal decision as to which effort you wish to
> focus
> on and only you can make this call.
> 
> just my .02
> 
> Dick
> http://www.8760.com
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik
> 
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
> really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
> 
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
> be
> impossible and impractical for any work I do in one group to not influence
> the other.
> 
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
> work
> on.
> 
> I therefore thought it only fair to draw to the attention of the IETF
> Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
> 
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
> of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
> 
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
> 
> As far as the other initiatives are concerned, then I agree that we need
> to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
> 
> Finally I think there are both benefits and disadvantages to both ebXML
> and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
> 
> Regards
> 
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
> 
> 
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David, you are trying to force an "either one or the other" decision.
> 
> I don't think that is appropriate at this time or the only option. An
> option
> exists where team leaders and workgroup leaders coordinate between the
> ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
> 
> I have been talking with Microsoft and IBM on the issue. it is too early
> to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
> 
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
> 
> 
> To Members of the IETF Trade Working Group ...
> 
> The purpose of this email is to solicit opinions from the IETF Trade
> Working
> Group on the "best" forum for developing specifications for "XML
> Messaging".
> 
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
> 
> Clearly it does not make sense for two - probably competing -
> specifications
> to be developed in the same area. Hence this email.
> 
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
> 
> I encourage members of the Trade Working Group to make known their views
> on
> these alternatives development forums.
> 
> Regards
> 
> David Burdett
> 
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
> 
> ======================================
> 
> The following provides:
> *    a brief recap on XML Messaging
> *    a more detailed explanation of ebXML, and
> *    a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
> 
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
> http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-0
> 0

Date: Fri, 18 Feb 2000 12:04:01 +1030
From: Chun OUYANG <[email-masked]>
Subject: need advice in my working on IOTP
Sender: [email-masked]
To: [email-masked]
Organization: ITR

--Boundary_(ID_EzanBJOUVB5wF+RsIuNf2Q)
Content-type: text/plain; charset=us-ascii
Content-transfer-encoding: 7bit

Hi, all

I am a PhD student of Computer System Engineering in University of
Australia. My research area is E-Commerce on Internet, and after 5
months work, I am now looking at the IOTP and become interested in it. I
want to work on it, in detail, to do modelling, simulation and
verification of IOTP using Coloured Petri Net. However, I have no
experience in such a research area before, and this is an original plan
for my future research. So, here I am looking forward to the valuable
advice from you on a few points as follows,

1. From the IT point of view, what kinds of problems are waiting for
solution at present?

2. As to me, what kind of work is worth my doing research in IOTP ( this
means that what contribution I can do for it)

Hopefully to receive your opinions. Thank you very much.

--
Chun OUYANG
Institute for Telecommunication Research
University of South Australia
Tel: 61 08 83023740        Fax: 83023873

--Boundary_(ID_EzanBJOUVB5wF+RsIuNf2Q)
Content-type: text/html; charset=us-ascii
Content-transfer-encoding: 7bit

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
Hi, all
<p>I am a PhD student of Computer System Engineering in University of Australia.
My research area is E-Commerce on Internet, and after 5 months work, I
am now looking at the IOTP and become interested in it. I want to work
on it, in detail, to do modelling, simulation and verification of IOTP
using Coloured Petri Net. However, I have no experience in such a research
area before, and this is an original plan for my future research. So, here
I am looking forward to the valuable advice from you on a few points as
follows,
<p>1. From the IT point of view, what kinds of problems are waiting for
solution at present?
<p>2. As to me, what kind of work is worth my doing research in IOTP (
this means that what contribution I can do for it)
<p>Hopefully to receive your opinions. Thank you very much.
<pre>--&nbsp;
Chun OUYANG
Institute for Telecommunication Research
University of South Australia&nbsp;&nbsp;
Tel: 61 08 83023740&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fax: 83023873</pre>
&nbsp;</html>

--Boundary_(ID_EzanBJOUVB5wF+RsIuNf2Q)--

Date: Fri, 18 Feb 2000 07:59:10 +1100
From: "Michie, Alan" <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: 'David Burdett' <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

David,

The group of people who developed IOTP have probably already decided what to
do about the choice between using plain DTD's or some form of schema which
allows element values to be described more precisely.

Can you tell me what has been decided and why or refer me to some
information on the web or in the email archive --- OR -- is the matter still
under consideration for the xmlmessage spec?

Thanks

Alan

> -----Original Message-----
> From:	David Burdett [SMTP:[email-masked]]
> Sent:	Tuesday, 15 February 2000 06:20 pm
> To:	[email-masked]; Rik Drummond
> Cc:	Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject:	RE: What's the right forum for developing XML Messaging
> 
> Bob
> 
> You say ...
> 
> >>>However, we welcome the participation of the IETF and we are happy to
> have a dialog about how we can most effectively use the resources of both
> organizations to produce the highest quality result.<<<
> 
> Neither the IETF nor the ebXML have ANY resources. What they do have is
> individuals who work for companies who aim to develop solutions to common
> problems in an open way for the benefit of themselves, their companies and
> the wider community.
> 
> Whether the individuals concerned work within the domain of the IETF or
> ebXML is immaterial. If the same group of individuals work on essentially
> the same problems from the same starting point in either forum then the
> end
> result will be very similar.
> 
> I am actually neutral about whether work, such as the TP&R work, should be
> done in the IETF or ebXML as I think either could work. What really counts
> is finding a forum for a community of individuals representing the
> companies
> who will actually implement the solutions to work rapidly towards a common
> end point. If we don't then we will risk the development of competing
> standards which is in no-one's interest.
> 
> So what we are talking about here really is finding a governance structure
> that works for everyone. Perhaps a joint governance approach between ebXML
> and the IETF might be appropriate and helpful if one were possible to set
> up.
> 
> I also know that individuals CAN't sensibly work to develop simultaneously
> two solutions to essentially a single problem. Hence my original email.
> 
> David
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 14, 2000 6:27 PM
> To: Rik Drummond
> Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
> (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Let me add a bit to this. Just for the record, I work for IBM, I'm on the
> OASIS board,
> and I'm Vice-Chair of ebXML.
> 
> IBM has participated in many of the fine efforts of the IETF. So it is
> wrong to say in
> any way that IBM is anti-IETF. We will continue to particpate in the IETF,
> ebXML, OASIS,
> W3C, HL7, IFX Forum, ...
> 
> The ebXML effort is a unique attempt by more than 100 people representing
> over 50
> companies, consortiums, and trade organizations to provide a coherent,
> unified
> infrastructure solution around XML for e-business. In order to relevant,
> this work must be
> done quickly and thus must synthesize quality work that has been done
> elsewhere.
> In some cases the work we do will be new, but we will always first look at
> existing
> art and we will work with other consortiums where appropriate. In the case
> where the
> other work is being done concurrently, we will endeavor to work together
> with the
> other consortium to create a final standard that is actually useful and
> does not
> divide the industry. We welcome all organizations involved to share in
> this
> commitment. We welcome all companies and organizations who are not
> involved to join us and create a positive result. We hope that their
> involvement
> from the inside will make the ebXML effort stronger and maximally
> inclusive.
> In my opinion, it does no person, company, or organization any good for
> them
> to use their lack of involvement as a poliical lever to criticize the
> effort.
> 
> The messaging work being done within Rik's group is central to much of
> what
> will come out of ebXML and is also likely to be one of the first
> deliverables. I
> therefore feel that the work must remain within ebXML. However, we welcome
> the participation of the IETF and we are happy to have a dialog about how
> we can most effectively use the resources of both organizations to produce
> the highest quality result. We are very open-minded about the
> structure of such a collaboration and in no way am I looking at this as
> being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
> make it such, I would appreciate their open statements to this effect.
> 
> _____________________________________________________
> 
> Bob Sutor
> 
>         IBM XML Strategy and Technology Group: http://www.ibm.com/xml
>         OASIS Chief Strategy Officer: http://www.oasis-open.org
> 
>         Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
>         Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757
> 
> 
> "Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
> 06:59:24 PM
> 
> Sent by:  [email-masked]
> 
> 
> To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
>       <[email-masked]>
> cc:   "ebXML Transport (E-mail)" <[email-masked]>,
>       "IETF Trade (E-mail)" <[email-masked]>
> Subject:  RE: What's the right forum for developing XML Messaging
> 
> 
> 
> ibm and microsoft are at logger-heads... forcing a decision to go to
> ietf..
> means ibm will not easily follow. forcing a decision to stay in ebxml
> means
> that microsoft will not participate.... so we should not force a decision
> by
> stirring things up until we see if we can find a win/win. i am not sure
> one
> exists... but then i am not done looking for one yet... best regards, Rik
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dick
> Brooks (E)
> Sent: Friday, February 11, 2000 9:06 PM
> To: David Burdett; Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
> 
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
> for
> endorsement. Anything else is premature.
> 
> Dave, it really is a personal decision as to which effort you wish to
> focus
> on and only you can make this call.
> 
> just my .02
> 
> Dick
> http://www.8760.com
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik
> 
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
> really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
> 
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
> be
> impossible and impractical for any work I do in one group to not influence
> the other.
> 
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
> work
> on.
> 
> I therefore thought it only fair to draw to the attention of the IETF
> Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
> 
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
> of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
> 
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
> 
> As far as the other initiatives are concerned, then I agree that we need
> to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
> 
> Finally I think there are both benefits and disadvantages to both ebXML
> and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
> 
> Regards
> 
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
> 
> 
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David, you are trying to force an "either one or the other" decision.
> 
> I don't think that is appropriate at this time or the only option. An
> option
> exists where team leaders and workgroup leaders coordinate between the
> ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
> 
> I have been talking with Microsoft and IBM on the issue. it is too early
> to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
> 
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
> 
> 
> To Members of the IETF Trade Working Group ...
> 
> The purpose of this email is to solicit opinions from the IETF Trade
> Working
> Group on the "best" forum for developing specifications for "XML
> Messaging".
> 
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
> 
> Clearly it does not make sense for two - probably competing -
> specifications
> to be developed in the same area. Hence this email.
> 
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
> 
> I encourage members of the Trade Working Group to make known their views
> on
> these alternatives development forums.
> 
> Regards
> 
> David Burdett
> 
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
> 
> ======================================
> 
> The following provides:
> *    a brief recap on XML Messaging
> *    a more detailed explanation of ebXML, and
> *    a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
> 
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
> http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-0
> 0

Date: Thu, 17 Feb 2000 10:43:14 +1100
From: "Michie, Alan" <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: 'Rik Drummond' <[email-masked]>, David Burdett <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

To Rik Drummond, Dave Burdett

Greetings from Australia

I am in favour of the approach suggested by Rik, and suggest we get on with
the next step.

I have previously emailed Dave Burdett, offering to give some assistance to
the group in producing a tight specification of the "generic approach" which
is outlined in his document ....xmlmessage "requirements".  I should be able
to assist in many parts of such a specification, although I am a relative
newcomer to the areas of security, tamper resistance and authentication.

Is there already a draft on which comments are invited or are you waiting
for someone to produce the first draft?

Regards

Alan Michie
Project Leader
eBusiness Program
Telstra Research Laboratories

> -----Original Message-----
> From:	Rik Drummond [SMTP:[email-masked]]
> Sent:	Thursday, 17 February 2000 12:43 am
> To:	David Burdett; [email-masked]
> Cc:	Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject:	RE: What's the right forum for developing XML Messaging
> 
> I have spent the last week in discussions with various IETF wg chairs
> on the XML header issue. here is where we stand:
> 	- two of IETF wg's have CLEAR impact in this area: 1) EDIINT and 2)
> IOTP
> 
> 	- EDIINT has it in its charter
> 
> 	- IOTP has a proposal to put it in it charter
> 
> 	- IOTP chair has no problem with EDIINT leading the XML header
> 	requirements and definition effort over the next 6 months
> 
> 	- EDIINT needs to define these headers within its workgroup anyway
> 
> I propose the following:
> 	- EDIINT drive this effort unofficially from IETF'S point of view.
> 	I lead the ebXML transport team and am chair of the EDIINT wg...
> 	so this is completely doable and I thank will resolve many of the
> 	issues Dave Burdett has noted.
> 
> 	- I, with Dave Burdett the author of the XML messaging paper and
> 	the editor for the ebXML transport team, will coordinate the IETF
> 	and ebXML efforts to that we don't do it twice. (or three times)
> 
> 	- I suggest, we think of the XML messaging paper Dave has authored
> as
> 	under EDIINT wg for the next six months so that EDIINT will not
> 	have to do another one
> 
> 	- the resulting work from the requirements and the XML header
> definition
> 	will be issued through IETF'S EDIINT and IOTP wg's and the ebXML
> transport
> team.
> 
> 	- I Will investigate making this relationship formal between the
> IETF and
> ebXML
> 
> if this is not a problem with anyone, we will move forward quickly..
> 
> best regards, Rik
> -----Original Message-----
> From: David Burdett [mailto:[email-masked]]
> Sent: Tuesday, February 15, 2000 1:20 AM
> To: [email-masked]; Rik Drummond
> Cc: Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Bob
> 
> You say ...
> 
> >>>However, we welcome the participation of the IETF and we are happy to
> have a dialog about how we can most effectively use the resources of both
> organizations to produce the highest quality result.<<<
> 
> Neither the IETF nor the ebXML have ANY resources. What they do have is
> individuals who work for companies who aim to develop solutions to common
> problems in an open way for the benefit of themselves, their companies and
> the wider community.
> 
> Whether the individuals concerned work within the domain of the IETF or
> ebXML is immaterial. If the same group of individuals work on essentially
> the same problems from the same starting point in either forum then the
> end
> result will be very similar.
> 
> I am actually neutral about whether work, such as the TP&R work, should be
> done in the IETF or ebXML as I think either could work. What really counts
> is finding a forum for a community of individuals representing the
> companies
> who will actually implement the solutions to work rapidly towards a common
> end point. If we don't then we will risk the development of competing
> standards which is in no-one's interest.
> 
> So what we are talking about here really is finding a governance structure
> that works for everyone. Perhaps a joint governance approach between ebXML
> and the IETF might be appropriate and helpful if one were possible to set
> up.
> 
> I also know that individuals CAN't sensibly work to develop simultaneously
> two solutions to essentially a single problem. Hence my original email.
> 
> David
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 14, 2000 6:27 PM
> To: Rik Drummond
> Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
> (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Let me add a bit to this. Just for the record, I work for IBM, I'm on the
> OASIS board,
> and I'm Vice-Chair of ebXML.
> 
> IBM has participated in many of the fine efforts of the IETF. So it is
> wrong to say in
> any way that IBM is anti-IETF. We will continue to particpate in the IETF,
> ebXML, OASIS,
> W3C, HL7, IFX Forum, ...
> 
> The ebXML effort is a unique attempt by more than 100 people representing
> over 50
> companies, consortiums, and trade organizations to provide a coherent,
> unified
> infrastructure solution around XML for e-business. In order to relevant,
> this work must be
> done quickly and thus must synthesize quality work that has been done
> elsewhere.
> In some cases the work we do will be new, but we will always first look at
> existing
> art and we will work with other consortiums where appropriate. In the case
> where the
> other work is being done concurrently, we will endeavor to work together
> with the
> other consortium to create a final standard that is actually useful and
> does not
> divide the industry. We welcome all organizations involved to share in
> this
> commitment. We welcome all companies and organizations who are not
> involved to join us and create a positive result. We hope that their
> involvement
> from the inside will make the ebXML effort stronger and maximally
> inclusive.
> In my opinion, it does no person, company, or organization any good for
> them
> to use their lack of involvement as a poliical lever to criticize the
> effort.
> 
> The messaging work being done within Rik's group is central to much of
> what
> will come out of ebXML and is also likely to be one of the first
> deliverables. I
> therefore feel that the work must remain within ebXML. However, we welcome
> the participation of the IETF and we are happy to have a dialog about how
> we can most effectively use the resources of both organizations to produce
> the highest quality result. We are very open-minded about the
> structure of such a collaboration and in no way am I looking at this as
> being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
> make it such, I would appreciate their open statements to this effect.
> 
> _____________________________________________________
> 
> Bob Sutor
> 
>         IBM XML Strategy and Technology Group: http://www.ibm.com/xml
>         OASIS Chief Strategy Officer: http://www.oasis-open.org
> 
>         Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
>         Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757
> 
> 
> "Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
> 06:59:24 PM
> 
> Sent by:  [email-masked]
> 
> 
> To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
>       <[email-masked]>
> cc:   "ebXML Transport (E-mail)" <[email-masked]>,
>       "IETF Trade (E-mail)" <[email-masked]>
> Subject:  RE: What's the right forum for developing XML Messaging
> 
> 
> 
> ibm and microsoft are at logger-heads... forcing a decision to go to
> ietf..
> means ibm will not easily follow. forcing a decision to stay in ebxml
> means
> that microsoft will not participate.... so we should not force a decision
> by
> stirring things up until we see if we can find a win/win. i am not sure
> one
> exists... but then i am not done looking for one yet... best regards, Rik
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dick
> Brooks (E)
> Sent: Friday, February 11, 2000 9:06 PM
> To: David Burdett; Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
> 
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
> for
> endorsement. Anything else is premature.
> 
> Dave, it really is a personal decision as to which effort you wish to
> focus
> on and only you can make this call.
> 
> just my .02
> 
> Dick
> http://www.8760.com
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik
> 
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
> really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
> 
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
> be
> impossible and impractical for any work I do in one group to not influence
> the other.
> 
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
> work
> on.
> 
> I therefore thought it only fair to draw to the attention of the IETF
> Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
> 
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
> of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
> 
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
> 
> As far as the other initiatives are concerned, then I agree that we need
> to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
> 
> Finally I think there are both benefits and disadvantages to both ebXML
> and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
> 
> Regards
> 
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
> 
> 
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David, you are trying to force an "either one or the other" decision.
> 
> I don't think that is appropriate at this time or the only option. An
> option
> exists where team leaders and workgroup leaders coordinate between the
> ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
> 
> I have been talking with Microsoft and IBM on the issue. it is too early
> to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
> 
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
> 
> 
> To Members of the IETF Trade Working Group ...
> 
> The purpose of this email is to solicit opinions from the IETF Trade
> Working
> Group on the "best" forum for developing specifications for "XML
> Messaging".
> 
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
> 
> Clearly it does not make sense for two - probably competing -
> specifications
> to be developed in the same area. Hence this email.
> 
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
> 
> I encourage members of the Trade Working Group to make known their views
> on
> these alternatives development forums.
> 
> Regards
> 
> David Burdett
> 
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
> 
> ======================================
> 
> The following provides:
> *    a brief recap on XML Messaging
> *    a more detailed explanation of ebXML, and
> *    a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
> 
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
> http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-0
> 0

Resent-date: Wed, 16 Feb 2000 11:12:24 -0500 (EST)
Date: Wed, 16 Feb 2000 07:43:07 -0600
From: Rik Drummond <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>, [email-masked]
Cc: "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

I have spent the last week in discussions with various IETF wg chairs
on the XML header issue. here is where we stand:
	- two of IETF wg's have CLEAR impact in this area: 1) EDIINT and 2) IOTP

	- EDIINT has it in its charter

	- IOTP has a proposal to put it in it charter

	- IOTP chair has no problem with EDIINT leading the XML header
	requirements and definition effort over the next 6 months

	- EDIINT needs to define these headers within its workgroup anyway

I propose the following:
	- EDIINT drive this effort unofficially from IETF'S point of view.
	I lead the ebXML transport team and am chair of the EDIINT wg...
	so this is completely doable and I thank will resolve many of the
	issues Dave Burdett has noted.

	- I, with Dave Burdett the author of the XML messaging paper and
	the editor for the ebXML transport team, will coordinate the IETF
	and ebXML efforts to that we don't do it twice. (or three times)

	- I suggest, we think of the XML messaging paper Dave has authored as
	under EDIINT wg for the next six months so that EDIINT will not
	have to do another one

	- the resulting work from the requirements and the XML header definition
	will be issued through IETF'S EDIINT and IOTP wg's and the ebXML transport
team.

	- I Will investigate making this relationship formal between the IETF and
ebXML

if this is not a problem with anyone, we will move forward quickly..

best regards, Rik
-----Original Message-----
From: David Burdett [mailto:[email-masked]]
Sent: Tuesday, February 15, 2000 1:20 AM
To: [email-masked]; Rik Drummond
Cc: Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Bob

You say ...

>>>However, we welcome the participation of the IETF and we are happy to
have a dialog about how we can most effectively use the resources of both
organizations to produce the highest quality result.<<<

Neither the IETF nor the ebXML have ANY resources. What they do have is
individuals who work for companies who aim to develop solutions to common
problems in an open way for the benefit of themselves, their companies and
the wider community.

Whether the individuals concerned work within the domain of the IETF or
ebXML is immaterial. If the same group of individuals work on essentially
the same problems from the same starting point in either forum then the end
result will be very similar.

I am actually neutral about whether work, such as the TP&R work, should be
done in the IETF or ebXML as I think either could work. What really counts
is finding a forum for a community of individuals representing the companies
who will actually implement the solutions to work rapidly towards a common
end point. If we don't then we will risk the development of competing
standards which is in no-one's interest.

So what we are talking about here really is finding a governance structure
that works for everyone. Perhaps a joint governance approach between ebXML
and the IETF might be appropriate and helpful if one were possible to set
up.

I also know that individuals CAN't sensibly work to develop simultaneously
two solutions to essentially a single problem. Hence my original email.

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, February 14, 2000 6:27 PM
To: Rik Drummond
Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
(E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Tue, 15 Feb 2000 22:13:24 -0500 (EST)
Date: Tue, 15 Feb 2000 07:28:33 -0500
From: [email-masked]
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>
Cc: Rik Drummond <[email-masked]>, "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>

David,

Exactly. Let's figure out how we can all work together rather
than making this an either/or situation.

Bob

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

David Burdett <[email-masked]>@lists.oasis-open.org on
02/15/2000 02:19:54 AM

Sent by:  [email-masked]

To:   Robert S Sutor/Watson/IBM@IBMUS, Rik Drummond <[email-masked]>
cc:   "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)"
      <[email-masked]>, "IETF Trade (E-mail)"
      <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

Bob

You say ...

>>>However, we welcome the participation of the IETF and we are happy to
have a dialog about how we can most effectively use the resources of both
organizations to produce the highest quality result.<<<

Neither the IETF nor the ebXML have ANY resources. What they do have is
individuals who work for companies who aim to develop solutions to common
problems in an open way for the benefit of themselves, their companies and
the wider community.

Whether the individuals concerned work within the domain of the IETF or
ebXML is immaterial. If the same group of individuals work on essentially
the same problems from the same starting point in either forum then the end
result will be very similar.

I am actually neutral about whether work, such as the TP&R work, should be
done in the IETF or ebXML as I think either could work. What really counts
is finding a forum for a community of individuals representing the
companies
who will actually implement the solutions to work rapidly towards a common
end point. If we don't then we will risk the development of competing
standards which is in no-one's interest.

So what we are talking about here really is finding a governance structure
that works for everyone. Perhaps a joint governance approach between ebXML
and the IETF might be appropriate and helpful if one were possible to set
up.

I also know that individuals CAN't sensibly work to develop simultaneously
two solutions to essentially a single problem. Hence my original email.

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, February 14, 2000 6:27 PM
To: Rik Drummond
Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
(E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Content-return: allowed
Date: Mon, 14 Feb 2000 23:19:54 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: [email-masked], Rik Drummond <[email-masked]>
Cc: "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

Bob

You say ...

>>>However, we welcome the participation of the IETF and we are happy to
have a dialog about how we can most effectively use the resources of both
organizations to produce the highest quality result.<<<

Neither the IETF nor the ebXML have ANY resources. What they do have is
individuals who work for companies who aim to develop solutions to common
problems in an open way for the benefit of themselves, their companies and
the wider community.

Whether the individuals concerned work within the domain of the IETF or
ebXML is immaterial. If the same group of individuals work on essentially
the same problems from the same starting point in either forum then the end
result will be very similar.

I am actually neutral about whether work, such as the TP&R work, should be
done in the IETF or ebXML as I think either could work. What really counts
is finding a forum for a community of individuals representing the companies
who will actually implement the solutions to work rapidly towards a common
end point. If we don't then we will risk the development of competing
standards which is in no-one's interest.

So what we are talking about here really is finding a governance structure
that works for everyone. Perhaps a joint governance approach between ebXML
and the IETF might be appropriate and helpful if one were possible to set
up.

I also know that individuals CAN't sensibly work to develop simultaneously
two solutions to essentially a single problem. Hence my original email.

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, February 14, 2000 6:27 PM
To: Rik Drummond
Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
(E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Mon, 14 Feb 2000 22:41:39 -0500 (EST)
Date: Mon, 14 Feb 2000 21:26:43 -0500
From: [email-masked]
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: Rik Drummond <[email-masked]>
Cc: "Dick Brooks (E)" <[email-masked]>, David Burdett <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Mon, 14 Feb 2000 22:18:02 -0500 (EST)
Date: Sun, 13 Feb 2000 17:59:24 -0600
From: Rik Drummond <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: "Dick Brooks (E)" <[email-masked]>, David Burdett <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Date: Mon, 14 Feb 2000 18:37:05 -0500
From: Keith Moore <[email-masked]>
Subject: IETF Adelaide and interim meetings for APPS WGs
Sender: [email-masked]
To: apps area chairs and working groups: ;
Cc: [email-masked]
Reply-to: [email-masked]

It has come to the attention of the Applications Area Directors
that one or more Applications area working groups have elected
to not meet in Adelaide, and instead to hold an "interim meeting"
in the United States, presumably because of distance and/or cost issues.

IETF is an international organization, and it is IETF's longstanding 
practice to hold its meetings in various locations around the planet.
This serves both to encourage wider participation in IETF and also
to more fairly distribute travel costs and inconvenience (over time) 
among all participants.  The scheduleing of an interim WG meeting in 
the US in lieu of a WG meeting in Adelaide undermines this policy.  
This is insulting to non-US participants of IETF (many of whom have 
attended meetings in the US for years), embarassing to IETF as 
a whole, and a threat to IETF's international stature.

Even if a working group has few participants outside the United
States, a working group does not work in isolation from other
working groups.  Attendance at IETF meetings is an invaluable 
mechanism for cross-group collaboration.  

RFC 2418 states:

   Interim meetings are subject to the
   same rules for advance notification, reporting, open participation,
   and process, which apply to other working group meetings.

Since normal working group meetings require advance notification
via email to the entire IETF list, and the process for getting a meeting
slot involves prior approval of the Area Directors, the same
requirements apply to interim working group meetings.  Part of the 
reason for prior approval being required is to ensure that the 
locations of the meetings are not being chosen to favor certain 
participants over others.  

There have been several violations of this policy since publication
of RFC 2418.

Therefore,

- All interim meetings within the Applications Area which were not
  previously and explicitly approved by the Applications Area Directors, 
  are hereby cancelled.

- No Applications Area group will hold any interim meeting prior
  to April 15.

- No Applications Area group which does not hold a meeting in 
  Adelaide, will hold any interim meeting prior to July 31.
  (i.e. prior to the Pittsburg IETF meeting)

- This applies to all face to face meetings held for the purpose 
  of conducting working group discussion and to which the working 
  group is invited, even if labelled "informal" or otherwise 
  labelled to distinguish them from official working group meetings.

- Exceptions to this policy may be made for recently chartered groups,
  but Area Director approval is still required for such groups to
  schedule interim meetings.

for the Applications Area Directors,

Keith Moore

Date: Sun, 13 Feb 2000 17:26:10 +0200
From: Kai Yokohama <[email-masked]>
Subject: Re: What's the right forum for developing XML Messaging
To: "Dick Brooks (E)" <[email-masked]>, David Burdett <[email-masked]>, Rik Drummond <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

Forwarded by Kai Yokohama for Ofer Avineri.
--

Dick, David and Rik,

I must add my comments here (which David is probably aware of ;-), Myself
and David had discussed the operational aspects of the XML
Messaging/Transport within the IETF. One of my suggestions was to form a new
WG dedicated to XML Transport/Messaging. The attributes behind my thinking
were the broad requirements from such mechanism. XML Transport or Messaging
mechanism would be a general mean of transporting XML elements/docs. On top
of this "protocol" there would be *many* specific designed languages that
will run on this protocol. ebXML, ECML, DSML, VOXML, MathML and so on
reflect the broad requirements from such a protocol, and therefore I believe
that we need a dedicated WG within the IETF to cover the broad range of
requirements.

I think we have a list dedicated for this subject and I can look up the old
charter document I've worked on. I suggest we'll hold a small e-BoF among us
to decide what's the community consensus,

Regards,

Ofer Avineri
E-MANAGE Product Manager,
Digital Intelligence Systems, Inc.

----- Original Message -----
From: Dick Brooks (E) <[email-masked]>
To: David Burdett <[email-masked]>; Rik Drummond
<[email-masked]>
Cc: ebXML Transport (E-mail) <[email-masked]>; IETF
Trade (E-mail) <[email-masked]>
Sent: Saturday, February 12, 2000 5:06 AM
Subject: RE: What's the right forum for developing XML Messaging

> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
>
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
for
> endorsement. Anything else is premature.
>
> Dave, it really is a personal decision as to which effort you wish to
focus
> on and only you can make this call.
>
> just my .02
>
> Dick
> http://www.8760.com
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
>
>
> Rik
>
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
>
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
be
> impossible and impractical for any work I do in one group to not influence
> the other.
>
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
work
> on.
>
> I therefore thought it only fair to draw to the attention of the IETF
Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
>
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
>
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
>
> As far as the other initiatives are concerned, then I agree that we need
to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
>
> Finally I think there are both benefits and disadvantages to both ebXML
and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
>
> Regards
>
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
>
>
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
>
>
> David, you are trying to force an "either one or the other" decision.
>
> I don't think that is appropriate at this time or the only option. An
option
> exists where team leaders and workgroup leaders coordinate between the
ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
>
> I have been talking with Microsoft and IBM on the issue. it is too early
to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
>
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
>
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
>
>
> To Members of the IETF Trade Working Group ...
>
> The purpose of this email is to solicit opinions from the IETF Trade
Working
> Group on the "best" forum for developing specifications for "XML
Messaging".
>
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
>
> Clearly it does not make sense for two - probably competing -
specifications
> to be developed in the same area. Hence this email.
>
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
>
> I encourage members of the Trade Working Group to make known their views
on
> these alternatives development forums.
>
> Regards
>
> David Burdett
>
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
>
> ======================================
>
> The following provides:
> * a brief recap on XML Messaging
> * a more detailed explanation of ebXML, and
> * a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
>
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
>
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
> txt).
>
> The objective of XML Messaging is to provide "... a generic approach to
the
> reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
> or other electronic documents over insecure, unreliable transport
> mechanisms"
>
> The requirements document suggested the development of a set of related
> specifications that met the above requirement within the IETF Trade
Working
> Group.
>
> So far I have received a few emails volunteering to get involved but no
> other feedback.
>
> EBXML
> =====
> "ebXML" stands for "electronic business XML" and is a joint effort between
> the United Nations/CEFACT group and OASIS (more from
http://www.ebxml.org/).
>
> The objectives of ebXML are
> * a worldwide project to standardize XML business specifications
> * develop a technical framework that will enable XML to be utilized in
> a consistent manner for the exchange of all electronic business data
> * industry groups currently working on XML specifications have been
> invited to participate in the 18-month project
> * inaugural meeting - 15-17 November, in California, 100 + attendees
> * follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
> attendees
>
> UN/CEFACT stands for the "United Nations Centre for the Facilitation of
> Procedures and Practices for Administration, Commerce and Transport" (more
> from: http://www.unece.org/cefact/). It is the management body for
> "UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
> Administration, Commerce and Transport" (more from
> http://www.unece.org/trade/untdid/welcome.htm).
>
> The important thing about UN/EDIFACT is that they developed EDI and bring
> with them the whole EDI community. The EDI community now wants to move to
> XML so that the automation benefits that EDI has brought to large
companies
> filters down to smaller and medium sized enterprises (SMEs).
>
> A number of groups have been set up within ebXML to work on a variety of
> different areas (see
http://www.ebxml.org/project_teams/project_teams.htm).
> One of these is called the Transport Packaging & Routing team (see
> http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
> the TP&R team defined the scope of its work as follows:
> * provide an envelope and header for routing of message content
> * define template sequences for the exchange of messages
> * provide support for payloads of any type of digital data
> * adopt security protocols that enable:
> * non repudiation of sending of messages and acknowledgements
> * privacy and integrity of communications between parties
> * authentication of senders of messages
> * control over access to services
> * support verifiable audit trails
> * provide mechanisms for reporting on errors or other problems
> * develop a messaging protocol for reliable message delivery
> * definine the information required that describes how to interact
> with a service
> * develop a default method of usage that enables bootstrapping of
> services
>
> ... and objectives of:
> * to enable any party to carry out integrated eCommerce transactions
> with any other party anywhere in the world using their hardware and
software
> vendor of choice
> * to persuade a wide variety of vendors to implement the approach
> * to not reinvent the wheel - re-use where possible
> * to enable existing "messaging" solutions to "bridge" to the ebXML
> solution
> * to scale from SMEs to large companies
> * to scale from low power to high end solutions
>
> Membership of the working group is completely open and there are no
joining
> fees - just like the IETF. The specifications of the working group, like
all
> other ebXML deliverables, will completely freely available with no
> restrictions (also just like the IETF) and will be published under a
"United
> Nations" banner.
>
> The method of working of the group is a mixture of email lists (see:
> http://www.ebxml.org/participate.htm), weekly telephone calls and regular
> meetings 3-6 times a year - this is more intensive than the IETF.
>
> Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
> and Packaging work group is to try and get existing related initiatives in
> the messaging area to converge. Although no firm commitments have yet been
> made, organizations as diverse as IBM, EDIINT and RosettaNet have
> participated actively in the meetings and email lists.
>
> ADVANTAGES AND DISADVANTAGES
> =============================
> Some of the advantages and disadvantages that I see are as follows:
> * ebXML has already made some good progress in developing it's ideas
> since it was formed and has a method of working that should result in the
> faster development of specifications - i.e. it has momentum
> * ebXML's focus is business-to-business eCommerce -  which is probably
> narrower than the general internet focus of the IETF
> * ebXML, although sponsored by the United Nations, is not an
> established standards setting authority such as the IETF
> * both are equally open and the results produced by either should be
> equally freely available for use.
>
> In my view it does not make sense for both the IETF Trade Working Group
and
> the ebXML initiatives to continue.
>
> Views and opinions of the members of this group will be welcomed.
>
> David Burdett
>
>

Resent-date: Fri, 11 Feb 2000 23:16:48 -0500 (EST)
Date: Fri, 11 Feb 2000 21:06:16 -0600
From: "Dick Brooks (E)" <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>, Rik Drummond <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Content-return: allowed
Date: Fri, 11 Feb 2000 16:21:29 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: Rik Drummond <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Fri, 11 Feb 2000 09:59:08 -0500 (EST)
Date: Thu, 10 Feb 2000 23:54:26 -0600
From: Rik Drummond <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Content-return: allowed
Date: Thu, 10 Feb 2000 16:11:31 -0800
From: David Burdett <[email-masked]>
Subject: What's the right forum for developing XMl Messaging
To: "IETF Trade (E-mail)" <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

--Boundary_(ID_m+9fftJy9G72XuT44LDzTA)
Content-type: text/plain; charset="iso-8859-1"

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888; 
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are 
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

--Boundary_(ID_m+9fftJy9G72XuT44LDzTA)
Content-type: application/ms-tnef
Content-transfer-encoding: base64

--Boundary_(ID_m+9fftJy9G72XuT44LDzTA)--

Date: Thu, 03 Feb 2000 19:33:19 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: TRADE WG meeting in Adelaide
To: [email-masked]
Cc: [email-masked]

The TRADE working group meeting at the 47th IETF meeting in Adelaide,
Australia, has been tentatively scheduled for the morning of Wednesday,
March 29th.

Donald
=====================================================================
 Donald E. Eastlake 3rd                      [email-masked]
 65 Shindegan Hill Road, RR#1                     +1 914-276-2668(h)
 Carmel, NY 10512 USA                             +1 508-261-5434(w)

Date: Thu, 03 Feb 2000 06:39:45 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-drt-requirements-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_6YWDUk4XyREoZT7CqKZ0cg)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Requirements for Digital-Right Trading
	Author(s)	: K. Fujimura
	Filename	: draft-ietf-trade-drt-requirements-00.txt
	Pages		: 9
	Date		: 02-Feb-00
	
In purchase and other trading transactions, it is often required to
credit loyalty points, collect digital coupons or gift certificates, and
so on. The IETF Trade Working Group is investigating how these
activities can be generalized using the concept of a 'digital-right',
which is a digital representation of the right to claim goods or
services. This document contains the requirements in the following
areas:
- The digital rights trading model
- The language to describe diverse types of digital rights

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-drt-requirements-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-drt-requirements-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-drt-requirements-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_6YWDUk4XyREoZT7CqKZ0cg)
Content-type: MULTIPART/ALTERNATIVE;
 BOUNDARY="Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)"

--Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)
Content-type: Message/External-body; access-type="mail-server";
 server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-drt-requirements-00.txt

--Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)
Content-type: Message/External-body;
 name="draft-ietf-trade-drt-requirements-00.txt"; site="ftp.ietf.org";
 access-type="anon-ftp"; directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)--

--Boundary_(ID_6YWDUk4XyREoZT7CqKZ0cg)--

Date: Thu, 03 Feb 2000 15:01:25 +0900
From: Ko Fujimura <[email-masked]>
Subject: Digital-Right Trading Requirements
To: [email-masked]

Hi all,

I've submitted the first draft of a digital-right trading requirement
document to the Internet drafts editor. I think this is will be
published within a few days. Any comments, suggestions, or questions
are appreciated.

Thanks,

Ko

Resent-date: Wed, 23 Feb 2000 09:21:38 -0500 (EST)
Date: Wed, 23 Feb 2000 13:32:34 +0200
From: Ofer Avineri <[email-masked]>
Subject: Re: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>, "'Smith, Chris '" <[email-masked]>
Cc: "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>

<David Burdett>
> Remember that IOTP was developed to solve a particular eCommerce problem
> namely how to do purchases and payments reliably and securely on the
> Internet</David Burdett>

<Ofer Avineri>
This is exactly why we think a new Working Group within IETF should be
formed, to deal with the entire XML Transport/Messaging scope. This is the
WG that will work with +any+ 3rd party community trying to facilitate its
solution on XML. </Ofer Avineri>

<Chris Smith>
> As for xmlmessaging - I'm curious if others think that
> 'xmlmessaging' will be used solely for e-commerce. Myself -
> I think that's a rhetorical question! It will be used for
> all kinds of things. </Chris Smith>

<Ofer Avineri>
Let's take the VoxML initiative for example, they're trying to standardize a
way to +Transport HTML/XML content to Cellular Voice Information, I see no
e-business nor e-commerce requirements from them.
If ebXML (and we're working there) wants to develop its own XML Transport
protocol, why do they need the IETF? Perhaps they should move IP, HTTP and
SNMP to ebXML as well? We can always address the issue with the IESG or
IAB.</Ofer Avineri>

Ofer Avineri
E-MANAGE Product Manager,
Digital Intelligence Systems, Inc.

----- Original Message -----
From: David Burdett <[email-masked]>
To: 'Smith, Chris ' <[email-masked]>
Cc: IETF Trade (E-mail) <[email-masked]>
Sent: Tuesday, February 22, 2000 11:49 PM
Subject: RE: What's the right forum for developing XML Messaging

> Chris
>
> I think there is a great overlap between eCommerce's needs for messaging
and
> the general need for "messaging" particularly in the area of reliable
> messaging and use of security (see
> http://www.xml.org/archives/ebxml-transport/msg00145.html
> <http://www.xml.org/archives/ebxml-transport/msg00145.html> ) which
contains
> the Overview and Requirements document for the group and you will find
that
> the scope is not focused just on eCommerce.
>
> Remember that IOTP was developed to solve a particular eCommerce problem
> namely how to do purchases and payments reliably and securely on the
> Internet.
>
> If it were not for the overlap in the requiremennt then I would be
strongly
> advocating separate activities to focus on the needs of each as you
suggest.
> However as I see it the objectives of the original IETF XML Messaging and
> ebXML Transport, Routing and Packaging groups (as compared with ebXML as a
> whole) are just about identical.
>
> In my view I anticipate that the results of the work currently under way
> will be generally applicable to other situations - not just eCommerce. If
> additional needs are required then they I think it should be possible to
> meet the need as extensions rather than a re-write.
>
> David
>
> -----Original Message-----
> From: Smith, Chris [mailto:[email-masked]]
> Sent: Monday, February 21, 2000 7:06 AM
> To: IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
>
>
>
>
> As one of the "people who developed IOTP" (and also one who
> 'developed *using* IOTP') we did what almost all DTD users do.
>
> We wrote a core schema as a DTD, and extended and refined it
> to its finished form (that is 'usable form') using English.
> I've noticed that a great many RFCs use this strategy as
> well. It seems to have worked reasonably well.
>
> As for xmlmessaging - I'm curious if others think that
> 'xmlmessaging' will be used solely for e-commerce. Myself -
> I think that's a rhetorical question! It will be used for
> all kinds of things.
>
> This was my original thought when David mentioned the
> whole question of either/or - I figured that the IETF
> side was appropriate to work on the core xmlmessaging,
> while the ebXML would work on using it for e-business.
>
> Of course, in later notes, I find that these two groups
> are essentially the same people. This then raises a different
> concern; the initial notes on xmlmessaging do not (and should
> not!) say that it is only for e-business purposes. However,
> it that is the only reason it gets developed at all, then I
> would have a minor concern that we might not get the best
> possible xmlmessaging spec available due to a focus on
> e-business.
>
> I beginning to think that ebXML should go solve the problems
> they need to solve - just don't pretend that you are solving
> the generic xmlmessaging problem for everyone. If they *do*
> solve it in a robust and reusable manner, great - then it is
> available. Since most of the individuals (and their sponsoring
> companies) are part of ebXML for e-business reasons, this makes
> a lot of sense to me. This group wasn't formed to solve generic
> problems, they were formed to solve e-business problems.
>
> If an ebXML result ends up missing essential non-e-business features,
> then xmlmessaging will still have to be done separately.
>
> However - if ebXML wants to use a generic xmlmessaging capability as
> a foundation, then it seems quite appropriate that a separate group
> work on that portion of it, and that they include all appropriate
> requirements, not just the e-business ones.
>
> ------------------------------------------------------------
>  Chris Smith                                +1.416.348.6090
>  Royal Bank                       [email-masked]
>
>
>
> > -----Original Message-----
> > From: Michie, Alan [ mailto:[email-masked]
> <mailto:[email-masked]> ]
> > Sent: February 17, 2000 03:59 PM
> > To: 'David Burdett'
> > Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> > Subject: RE: What's the right forum for developing XML Messaging
> >
> >
> > David,
> >
> > The group of people who developed IOTP have probably
> > already decided what to do about the choice between
> > using plain DTD's or some form of schema which allows
> > element values to be described more precisely.
> >
> > Can you tell me what has been decided and why or refer
> > me to some information on the web or in the email
> > archive --- OR -- is the matter still
> > under consideration for the xmlmessage spec?
>
>

Content-return: allowed
Date: Tue, 22 Feb 2000 13:49:58 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: "'Smith, Chris '" <[email-masked]>
Cc: "IETF Trade (E-mail)" <[email-masked]>

Chris
 
I think there is a great overlap between eCommerce's needs for messaging and
the general need for "messaging" particularly in the area of reliable
messaging and use of security (see
http://www.xml.org/archives/ebxml-transport/msg00145.html
<http://www.xml.org/archives/ebxml-transport/msg00145.html> ) which contains
the Overview and Requirements document for the group and you will find that
the scope is not focused just on eCommerce.
 
Remember that IOTP was developed to solve a particular eCommerce problem
namely how to do purchases and payments reliably and securely on the
Internet.
 
If it were not for the overlap in the requiremennt then I would be strongly
advocating separate activities to focus on the needs of each as you suggest.
However as I see it the objectives of the original IETF XML Messaging and
ebXML Transport, Routing and Packaging groups (as compared with ebXML as a
whole) are just about identical.
 
In my view I anticipate that the results of the work currently under way
will be generally applicable to other situations - not just eCommerce. If
additional needs are required then they I think it should be possible to
meet the need as extensions rather than a re-write.
 
David

-----Original Message-----
From: Smith, Chris [mailto:[email-masked]]
Sent: Monday, February 21, 2000 7:06 AM
To: IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

As one of the "people who developed IOTP" (and also one who 
'developed *using* IOTP') we did what almost all DTD users do. 

We wrote a core schema as a DTD, and extended and refined it 
to its finished form (that is 'usable form') using English. 
I've noticed that a great many RFCs use this strategy as 
well. It seems to have worked reasonably well. 

As for xmlmessaging - I'm curious if others think that 
'xmlmessaging' will be used solely for e-commerce. Myself - 
I think that's a rhetorical question! It will be used for 
all kinds of things. 

This was my original thought when David mentioned the 
whole question of either/or - I figured that the IETF 
side was appropriate to work on the core xmlmessaging, 
while the ebXML would work on using it for e-business. 

Of course, in later notes, I find that these two groups 
are essentially the same people. This then raises a different 
concern; the initial notes on xmlmessaging do not (and should 
not!) say that it is only for e-business purposes. However, 
it that is the only reason it gets developed at all, then I 
would have a minor concern that we might not get the best 
possible xmlmessaging spec available due to a focus on 
e-business. 

I beginning to think that ebXML should go solve the problems 
they need to solve - just don't pretend that you are solving 
the generic xmlmessaging problem for everyone. If they *do* 
solve it in a robust and reusable manner, great - then it is 
available. Since most of the individuals (and their sponsoring 
companies) are part of ebXML for e-business reasons, this makes 
a lot of sense to me. This group wasn't formed to solve generic 
problems, they were formed to solve e-business problems. 

If an ebXML result ends up missing essential non-e-business features, 
then xmlmessaging will still have to be done separately. 

However - if ebXML wants to use a generic xmlmessaging capability as 
a foundation, then it seems quite appropriate that a separate group 
work on that portion of it, and that they include all appropriate 
requirements, not just the e-business ones. 

------------------------------------------------------------ 
 Chris Smith                                +1.416.348.6090 
 Royal Bank                       [email-masked] 

> -----Original Message----- 
> From: Michie, Alan [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: February 17, 2000 03:59 PM 
> To: 'David Burdett' 
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail) 
> Subject: RE: What's the right forum for developing XML Messaging 
> 
> 
> David, 
> 
> The group of people who developed IOTP have probably 
> already decided what to do about the choice between 
> using plain DTD's or some form of schema which allows 
> element values to be described more precisely. 
> 
> Can you tell me what has been decided and why or refer 
> me to some information on the web or in the email 
> archive --- OR -- is the matter still 
> under consideration for the xmlmessage spec? 

Content-return: allowed
Date: Mon, 21 Feb 2000 18:59:39 -0800
From: David Burdett <[email-masked]>
Subject: RE: where can I get IOTP 2.0
To: Chun OUYANG <[email-masked]>, [email-masked]

You can't. 
 
Right now version 1.0 of IOTP is (just about) to be issued as an
informational RFC. There are also some initial implementations. After the
results of these have been running for a while work on version 2.0 could
start based on feedback from implementation of version 1.0.
 
David

-----Original Message-----
From: Chun OUYANG [mailto:[email-masked]]
Sent: Monday, February 21, 2000 2:44 PM
To: [email-masked]
Subject: where can I get IOTP 2.0

Hi, 

Could any one please to tell me that where I can get IOTP v2.0 on the
Internet? 

Thank you very much. 

-- 

Chun OUYANG

Institute for Telecommunication Research

University of South Australia  

Tel: 61 08 83023740        Fax: 83023873

Date: Tue, 22 Feb 2000 09:13:47 +1030
From: Chun OUYANG <[email-masked]>
Subject: where can I get IOTP 2.0
Sender: [email-masked]
To: [email-masked]
Organization: ITR

--Boundary_(ID_Y0iwLA0WWr2MQ55xjQUm4w)
Content-type: text/plain; charset=us-ascii
Content-transfer-encoding: 7bit

Hi,

Could any one please to tell me that where I can get IOTP v2.0 on the
Internet?

Thank you very much.

--
Chun OUYANG
Institute for Telecommunication Research
University of South Australia
Tel: 61 08 83023740        Fax: 83023873

--Boundary_(ID_Y0iwLA0WWr2MQ55xjQUm4w)
Content-type: text/html; charset=us-ascii
Content-transfer-encoding: 7bit

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
Hi,
<p>Could any one please to tell me that where I can get IOTP v2.0 on the
Internet?
<p>Thank you very much.
<pre>--&nbsp;
Chun OUYANG
Institute for Telecommunication Research
University of South Australia&nbsp;&nbsp;
Tel: 61 08 83023740&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fax: 83023873</pre>
&nbsp;</html>

--Boundary_(ID_Y0iwLA0WWr2MQ55xjQUm4w)--

Date: Mon, 21 Feb 2000 10:05:52 -0500
From: "Smith, Chris " <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: "IETF Trade (E-mail)" <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

--Boundary_(ID_qdEhOE1jbfwSwUCvPL+jUg)
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 7bit

As one of the "people who developed IOTP" (and also one who
'developed *using* IOTP') we did what almost all DTD users do.

We wrote a core schema as a DTD, and extended and refined it
to its finished form (that is 'usable form') using English.
I've noticed that a great many RFCs use this strategy as
well. It seems to have worked reasonably well.

As for xmlmessaging - I'm curious if others think that
'xmlmessaging' will be used solely for e-commerce. Myself - 
I think that's a rhetorical question! It will be used for
all kinds of things.

This was my original thought when David mentioned the
whole question of either/or - I figured that the IETF
side was appropriate to work on the core xmlmessaging,
while the ebXML would work on using it for e-business.

Of course, in later notes, I find that these two groups
are essentially the same people. This then raises a different
concern; the initial notes on xmlmessaging do not (and should
not!) say that it is only for e-business purposes. However,
it that is the only reason it gets developed at all, then I
would have a minor concern that we might not get the best
possible xmlmessaging spec available due to a focus on 
e-business.

I beginning to think that ebXML should go solve the problems
they need to solve - just don't pretend that you are solving
the generic xmlmessaging problem for everyone. If they *do*
solve it in a robust and reusable manner, great - then it is
available. Since most of the individuals (and their sponsoring
companies) are part of ebXML for e-business reasons, this makes
a lot of sense to me. This group wasn't formed to solve generic
problems, they were formed to solve e-business problems.

If an ebXML result ends up missing essential non-e-business features, 
then xmlmessaging will still have to be done separately.

However - if ebXML wants to use a generic xmlmessaging capability as
a foundation, then it seems quite appropriate that a separate group
work on that portion of it, and that they include all appropriate
requirements, not just the e-business ones.

------------------------------------------------------------ 
 Chris Smith                                +1.416.348.6090 
 Royal Bank                       [email-masked] 

> -----Original Message-----
> From: Michie, Alan [mailto:[email-masked]]
> Sent: February 17, 2000 03:59 PM
> To: 'David Burdett'
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David,
> 
> The group of people who developed IOTP have probably
> already decided what to do about the choice between
> using plain DTD's or some form of schema which allows
> element values to be described more precisely.
> 
> Can you tell me what has been decided and why or refer
> me to some information on the web or in the email
> archive --- OR -- is the matter still
> under consideration for the xmlmessage spec?

--Boundary_(ID_qdEhOE1jbfwSwUCvPL+jUg)
Content-type: text/html; charset=iso-8859-1
Content-transfer-encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
5.5.2448.0">
<TITLE>RE: What's the right forum for developing XML Messaging</TITLE>
</HEAD>
<BODY>
<BR>

<P><FONT SIZE=3D2>As one of the &quot;people who developed IOTP&quot; =
(and also one who</FONT>
<BR><FONT SIZE=3D2>'developed *using* IOTP') we did what almost all DTD =
users do.</FONT>
</P>

<P><FONT SIZE=3D2>We wrote a core schema as a DTD, and extended and =
refined it</FONT>
<BR><FONT SIZE=3D2>to its finished form (that is 'usable form') using =
English.</FONT>
<BR><FONT SIZE=3D2>I've noticed that a great many RFCs use this =
strategy as</FONT>
<BR><FONT SIZE=3D2>well. It seems to have worked reasonably =
well.</FONT>
</P>

<P><FONT SIZE=3D2>As for xmlmessaging - I'm curious if others think =
that</FONT>
<BR><FONT SIZE=3D2>'xmlmessaging' will be used solely for e-commerce. =
Myself - </FONT>
<BR><FONT SIZE=3D2>I think that's a rhetorical question! It will be =
used for</FONT>
<BR><FONT SIZE=3D2>all kinds of things.</FONT>
</P>

<P><FONT SIZE=3D2>This was my original thought when David mentioned =
the</FONT>
<BR><FONT SIZE=3D2>whole question of either/or - I figured that the =
IETF</FONT>
<BR><FONT SIZE=3D2>side was appropriate to work on the core =
xmlmessaging,</FONT>
<BR><FONT SIZE=3D2>while the ebXML would work on using it for =
e-business.</FONT>
</P>

<P><FONT SIZE=3D2>Of course, in later notes, I find that these two =
groups</FONT>
<BR><FONT SIZE=3D2>are essentially the same people. This then raises a =
different</FONT>
<BR><FONT SIZE=3D2>concern; the initial notes on xmlmessaging do not =
(and should</FONT>
<BR><FONT SIZE=3D2>not!) say that it is only for e-business purposes. =
However,</FONT>
<BR><FONT SIZE=3D2>it that is the only reason it gets developed at all, =
then I</FONT>
<BR><FONT SIZE=3D2>would have a minor concern that we might not get the =
best</FONT>
<BR><FONT SIZE=3D2>possible xmlmessaging spec available due to a focus =
on </FONT>
<BR><FONT SIZE=3D2>e-business.</FONT>
</P>

<P><FONT SIZE=3D2>I beginning to think that ebXML should go solve the =
problems</FONT>
<BR><FONT SIZE=3D2>they need to solve - just don't pretend that you are =
solving</FONT>
<BR><FONT SIZE=3D2>the generic xmlmessaging problem for everyone. If =
they *do*</FONT>
<BR><FONT SIZE=3D2>solve it in a robust and reusable manner, great - =
then it is</FONT>
<BR><FONT SIZE=3D2>available. Since most of the individuals (and their =
sponsoring</FONT>
<BR><FONT SIZE=3D2>companies) are part of ebXML for e-business reasons, =
this makes</FONT>
<BR><FONT SIZE=3D2>a lot of sense to me. This group wasn't formed to =
solve generic</FONT>
<BR><FONT SIZE=3D2>problems, they were formed to solve e-business =
problems.</FONT>
</P>

<P><FONT SIZE=3D2>If an ebXML result ends up missing essential =
non-e-business features, </FONT>
<BR><FONT SIZE=3D2>then xmlmessaging will still have to be done =
separately.</FONT>
</P>

<P><FONT SIZE=3D2>However - if ebXML wants to use a generic =
xmlmessaging capability as</FONT>
<BR><FONT SIZE=3D2>a foundation, then it seems quite appropriate that a =
separate group</FONT>
<BR><FONT SIZE=3D2>work on that portion of it, and that they include =
all appropriate</FONT>
<BR><FONT SIZE=3D2>requirements, not just the e-business ones.</FONT>
</P>

<P><FONT =
SIZE=3D2>------------------------------------------------------------ =
</FONT>
<BR><FONT SIZE=3D2>=A0Chris =
Smith=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=
=A0=A0=A0=A0=A0=A0=A0=A0 +1.416.348.6090 </FONT>
<BR><FONT SIZE=3D2>=A0Royal =
Bank=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0 =
[email-masked] </FONT>
</P>
<BR>
<BR>

<P><FONT SIZE=3D2>&gt; -----Original Message-----</FONT>
<BR><FONT SIZE=3D2>&gt; From: Michie, Alan [<A =
HREF=3D"mailto:[email-masked]">mailto:Alan.Michie@c=
orpmail.telstra.com.au</A>]</FONT>
<BR><FONT SIZE=3D2>&gt; Sent: February 17, 2000 03:59 PM</FONT>
<BR><FONT SIZE=3D2>&gt; To: 'David Burdett'</FONT>
<BR><FONT SIZE=3D2>&gt; Cc: ebXML Transport (E-mail); IETF Trade =
(E-mail)</FONT>
<BR><FONT SIZE=3D2>&gt; Subject: RE: What's the right forum for =
developing XML Messaging</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; David,</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; The group of people who developed IOTP have =
probably</FONT>
<BR><FONT SIZE=3D2>&gt; already decided what to do about the choice =
between</FONT>
<BR><FONT SIZE=3D2>&gt; using plain DTD's or some form of schema which =
allows</FONT>
<BR><FONT SIZE=3D2>&gt; element values to be described more =
precisely.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Can you tell me what has been decided and why =
or refer</FONT>
<BR><FONT SIZE=3D2>&gt; me to some information on the web or in the =
email</FONT>
<BR><FONT SIZE=3D2>&gt; archive --- OR -- is the matter still</FONT>
<BR><FONT SIZE=3D2>&gt; under consideration for the xmlmessage =
spec?</FONT>
</P>

</BODY>
</HTML>

--Boundary_(ID_qdEhOE1jbfwSwUCvPL+jUg)--

Content-return: allowed
Date: Fri, 18 Feb 2000 17:32:50 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: "'Michie, Alan'" <[email-masked]>, David Burdett <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

The IOTP specification (version 1.0) is now complete and should shortly be
issued as an informational RFC. This specification was developed before much
development work had been done on schemas. Therefore everything is defined
in terms of DTDs. I don't think that schemas will be used until version 2.0
of IOTP is developed. This is dependent on the feedback obtained from the
results of implementations of version 1.0 and the development of a separate
messaging specification.

For XML Messaging (and/or ebXML) I anticipate that both Schema and DTD
versions of the necessary documents will be developed as this does not
affect the document **instance**.

You can then:
o use either the DTD or the Schema depending on what meets your need best,
and
o if you choose the DTD, implement the validation and other rules implied by
the schema as code within your application.

Regards

David

-----Original Message-----
From: Michie, Alan [mailto:[email-masked]]
Sent: Thursday, February 17, 2000 12:59 PM
To: 'David Burdett'
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David,

The group of people who developed IOTP have probably already decided what to
do about the choice between using plain DTD's or some form of schema which
allows element values to be described more precisely.

Can you tell me what has been decided and why or refer me to some
information on the web or in the email archive --- OR -- is the matter still
under consideration for the xmlmessage spec?

Thanks

Alan

> -----Original Message-----
> From:	David Burdett [SMTP:[email-masked]]
> Sent:	Tuesday, 15 February 2000 06:20 pm
> To:	[email-masked]; Rik Drummond
> Cc:	Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject:	RE: What's the right forum for developing XML Messaging
> 
> Bob
> 
> You say ...
> 
> >>>However, we welcome the participation of the IETF and we are happy to
> have a dialog about how we can most effectively use the resources of both
> organizations to produce the highest quality result.<<<
> 
> Neither the IETF nor the ebXML have ANY resources. What they do have is
> individuals who work for companies who aim to develop solutions to common
> problems in an open way for the benefit of themselves, their companies and
> the wider community.
> 
> Whether the individuals concerned work within the domain of the IETF or
> ebXML is immaterial. If the same group of individuals work on essentially
> the same problems from the same starting point in either forum then the
> end
> result will be very similar.
> 
> I am actually neutral about whether work, such as the TP&R work, should be
> done in the IETF or ebXML as I think either could work. What really counts
> is finding a forum for a community of individuals representing the
> companies
> who will actually implement the solutions to work rapidly towards a common
> end point. If we don't then we will risk the development of competing
> standards which is in no-one's interest.
> 
> So what we are talking about here really is finding a governance structure
> that works for everyone. Perhaps a joint governance approach between ebXML
> and the IETF might be appropriate and helpful if one were possible to set
> up.
> 
> I also know that individuals CAN't sensibly work to develop simultaneously
> two solutions to essentially a single problem. Hence my original email.
> 
> David
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 14, 2000 6:27 PM
> To: Rik Drummond
> Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
> (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Let me add a bit to this. Just for the record, I work for IBM, I'm on the
> OASIS board,
> and I'm Vice-Chair of ebXML.
> 
> IBM has participated in many of the fine efforts of the IETF. So it is
> wrong to say in
> any way that IBM is anti-IETF. We will continue to particpate in the IETF,
> ebXML, OASIS,
> W3C, HL7, IFX Forum, ...
> 
> The ebXML effort is a unique attempt by more than 100 people representing
> over 50
> companies, consortiums, and trade organizations to provide a coherent,
> unified
> infrastructure solution around XML for e-business. In order to relevant,
> this work must be
> done quickly and thus must synthesize quality work that has been done
> elsewhere.
> In some cases the work we do will be new, but we will always first look at
> existing
> art and we will work with other consortiums where appropriate. In the case
> where the
> other work is being done concurrently, we will endeavor to work together
> with the
> other consortium to create a final standard that is actually useful and
> does not
> divide the industry. We welcome all organizations involved to share in
> this
> commitment. We welcome all companies and organizations who are not
> involved to join us and create a positive result. We hope that their
> involvement
> from the inside will make the ebXML effort stronger and maximally
> inclusive.
> In my opinion, it does no person, company, or organization any good for
> them
> to use their lack of involvement as a poliical lever to criticize the
> effort.
> 
> The messaging work being done within Rik's group is central to much of
> what
> will come out of ebXML and is also likely to be one of the first
> deliverables. I
> therefore feel that the work must remain within ebXML. However, we welcome
> the participation of the IETF and we are happy to have a dialog about how
> we can most effectively use the resources of both organizations to produce
> the highest quality result. We are very open-minded about the
> structure of such a collaboration and in no way am I looking at this as
> being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
> make it such, I would appreciate their open statements to this effect.
> 
> _____________________________________________________
> 
> Bob Sutor
> 
>         IBM XML Strategy and Technology Group: http://www.ibm.com/xml
>         OASIS Chief Strategy Officer: http://www.oasis-open.org
> 
>         Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
>         Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757
> 
> 
> "Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
> 06:59:24 PM
> 
> Sent by:  [email-masked]
> 
> 
> To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
>       <[email-masked]>
> cc:   "ebXML Transport (E-mail)" <[email-masked]>,
>       "IETF Trade (E-mail)" <[email-masked]>
> Subject:  RE: What's the right forum for developing XML Messaging
> 
> 
> 
> ibm and microsoft are at logger-heads... forcing a decision to go to
> ietf..
> means ibm will not easily follow. forcing a decision to stay in ebxml
> means
> that microsoft will not participate.... so we should not force a decision
> by
> stirring things up until we see if we can find a win/win. i am not sure
> one
> exists... but then i am not done looking for one yet... best regards, Rik
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dick
> Brooks (E)
> Sent: Friday, February 11, 2000 9:06 PM
> To: David Burdett; Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
> 
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
> for
> endorsement. Anything else is premature.
> 
> Dave, it really is a personal decision as to which effort you wish to
> focus
> on and only you can make this call.
> 
> just my .02
> 
> Dick
> http://www.8760.com
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik
> 
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
> really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
> 
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
> be
> impossible and impractical for any work I do in one group to not influence
> the other.
> 
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
> work
> on.
> 
> I therefore thought it only fair to draw to the attention of the IETF
> Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
> 
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
> of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
> 
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
> 
> As far as the other initiatives are concerned, then I agree that we need
> to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
> 
> Finally I think there are both benefits and disadvantages to both ebXML
> and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
> 
> Regards
> 
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
> 
> 
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David, you are trying to force an "either one or the other" decision.
> 
> I don't think that is appropriate at this time or the only option. An
> option
> exists where team leaders and workgroup leaders coordinate between the
> ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
> 
> I have been talking with Microsoft and IBM on the issue. it is too early
> to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
> 
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
> 
> 
> To Members of the IETF Trade Working Group ...
> 
> The purpose of this email is to solicit opinions from the IETF Trade
> Working
> Group on the "best" forum for developing specifications for "XML
> Messaging".
> 
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
> 
> Clearly it does not make sense for two - probably competing -
> specifications
> to be developed in the same area. Hence this email.
> 
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
> 
> I encourage members of the Trade Working Group to make known their views
> on
> these alternatives development forums.
> 
> Regards
> 
> David Burdett
> 
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
> 
> ======================================
> 
> The following provides:
> *    a brief recap on XML Messaging
> *    a more detailed explanation of ebXML, and
> *    a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
> 
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
> http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-0
> 0

Date: Fri, 18 Feb 2000 12:04:01 +1030
From: Chun OUYANG <[email-masked]>
Subject: need advice in my working on IOTP
Sender: [email-masked]
To: [email-masked]
Organization: ITR

--Boundary_(ID_EzanBJOUVB5wF+RsIuNf2Q)
Content-type: text/plain; charset=us-ascii
Content-transfer-encoding: 7bit

Hi, all

I am a PhD student of Computer System Engineering in University of
Australia. My research area is E-Commerce on Internet, and after 5
months work, I am now looking at the IOTP and become interested in it. I
want to work on it, in detail, to do modelling, simulation and
verification of IOTP using Coloured Petri Net. However, I have no
experience in such a research area before, and this is an original plan
for my future research. So, here I am looking forward to the valuable
advice from you on a few points as follows,

1. From the IT point of view, what kinds of problems are waiting for
solution at present?

2. As to me, what kind of work is worth my doing research in IOTP ( this
means that what contribution I can do for it)

Hopefully to receive your opinions. Thank you very much.

--
Chun OUYANG
Institute for Telecommunication Research
University of South Australia
Tel: 61 08 83023740        Fax: 83023873

--Boundary_(ID_EzanBJOUVB5wF+RsIuNf2Q)
Content-type: text/html; charset=us-ascii
Content-transfer-encoding: 7bit

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
Hi, all
<p>I am a PhD student of Computer System Engineering in University of Australia.
My research area is E-Commerce on Internet, and after 5 months work, I
am now looking at the IOTP and become interested in it. I want to work
on it, in detail, to do modelling, simulation and verification of IOTP
using Coloured Petri Net. However, I have no experience in such a research
area before, and this is an original plan for my future research. So, here
I am looking forward to the valuable advice from you on a few points as
follows,
<p>1. From the IT point of view, what kinds of problems are waiting for
solution at present?
<p>2. As to me, what kind of work is worth my doing research in IOTP (
this means that what contribution I can do for it)
<p>Hopefully to receive your opinions. Thank you very much.
<pre>--&nbsp;
Chun OUYANG
Institute for Telecommunication Research
University of South Australia&nbsp;&nbsp;
Tel: 61 08 83023740&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fax: 83023873</pre>
&nbsp;</html>

--Boundary_(ID_EzanBJOUVB5wF+RsIuNf2Q)--

Date: Fri, 18 Feb 2000 07:59:10 +1100
From: "Michie, Alan" <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: 'David Burdett' <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

David,

The group of people who developed IOTP have probably already decided what to
do about the choice between using plain DTD's or some form of schema which
allows element values to be described more precisely.

Can you tell me what has been decided and why or refer me to some
information on the web or in the email archive --- OR -- is the matter still
under consideration for the xmlmessage spec?

Thanks

Alan

> -----Original Message-----
> From:	David Burdett [SMTP:[email-masked]]
> Sent:	Tuesday, 15 February 2000 06:20 pm
> To:	[email-masked]; Rik Drummond
> Cc:	Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject:	RE: What's the right forum for developing XML Messaging
> 
> Bob
> 
> You say ...
> 
> >>>However, we welcome the participation of the IETF and we are happy to
> have a dialog about how we can most effectively use the resources of both
> organizations to produce the highest quality result.<<<
> 
> Neither the IETF nor the ebXML have ANY resources. What they do have is
> individuals who work for companies who aim to develop solutions to common
> problems in an open way for the benefit of themselves, their companies and
> the wider community.
> 
> Whether the individuals concerned work within the domain of the IETF or
> ebXML is immaterial. If the same group of individuals work on essentially
> the same problems from the same starting point in either forum then the
> end
> result will be very similar.
> 
> I am actually neutral about whether work, such as the TP&R work, should be
> done in the IETF or ebXML as I think either could work. What really counts
> is finding a forum for a community of individuals representing the
> companies
> who will actually implement the solutions to work rapidly towards a common
> end point. If we don't then we will risk the development of competing
> standards which is in no-one's interest.
> 
> So what we are talking about here really is finding a governance structure
> that works for everyone. Perhaps a joint governance approach between ebXML
> and the IETF might be appropriate and helpful if one were possible to set
> up.
> 
> I also know that individuals CAN't sensibly work to develop simultaneously
> two solutions to essentially a single problem. Hence my original email.
> 
> David
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 14, 2000 6:27 PM
> To: Rik Drummond
> Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
> (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Let me add a bit to this. Just for the record, I work for IBM, I'm on the
> OASIS board,
> and I'm Vice-Chair of ebXML.
> 
> IBM has participated in many of the fine efforts of the IETF. So it is
> wrong to say in
> any way that IBM is anti-IETF. We will continue to particpate in the IETF,
> ebXML, OASIS,
> W3C, HL7, IFX Forum, ...
> 
> The ebXML effort is a unique attempt by more than 100 people representing
> over 50
> companies, consortiums, and trade organizations to provide a coherent,
> unified
> infrastructure solution around XML for e-business. In order to relevant,
> this work must be
> done quickly and thus must synthesize quality work that has been done
> elsewhere.
> In some cases the work we do will be new, but we will always first look at
> existing
> art and we will work with other consortiums where appropriate. In the case
> where the
> other work is being done concurrently, we will endeavor to work together
> with the
> other consortium to create a final standard that is actually useful and
> does not
> divide the industry. We welcome all organizations involved to share in
> this
> commitment. We welcome all companies and organizations who are not
> involved to join us and create a positive result. We hope that their
> involvement
> from the inside will make the ebXML effort stronger and maximally
> inclusive.
> In my opinion, it does no person, company, or organization any good for
> them
> to use their lack of involvement as a poliical lever to criticize the
> effort.
> 
> The messaging work being done within Rik's group is central to much of
> what
> will come out of ebXML and is also likely to be one of the first
> deliverables. I
> therefore feel that the work must remain within ebXML. However, we welcome
> the participation of the IETF and we are happy to have a dialog about how
> we can most effectively use the resources of both organizations to produce
> the highest quality result. We are very open-minded about the
> structure of such a collaboration and in no way am I looking at this as
> being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
> make it such, I would appreciate their open statements to this effect.
> 
> _____________________________________________________
> 
> Bob Sutor
> 
>         IBM XML Strategy and Technology Group: http://www.ibm.com/xml
>         OASIS Chief Strategy Officer: http://www.oasis-open.org
> 
>         Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
>         Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757
> 
> 
> "Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
> 06:59:24 PM
> 
> Sent by:  [email-masked]
> 
> 
> To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
>       <[email-masked]>
> cc:   "ebXML Transport (E-mail)" <[email-masked]>,
>       "IETF Trade (E-mail)" <[email-masked]>
> Subject:  RE: What's the right forum for developing XML Messaging
> 
> 
> 
> ibm and microsoft are at logger-heads... forcing a decision to go to
> ietf..
> means ibm will not easily follow. forcing a decision to stay in ebxml
> means
> that microsoft will not participate.... so we should not force a decision
> by
> stirring things up until we see if we can find a win/win. i am not sure
> one
> exists... but then i am not done looking for one yet... best regards, Rik
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dick
> Brooks (E)
> Sent: Friday, February 11, 2000 9:06 PM
> To: David Burdett; Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
> 
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
> for
> endorsement. Anything else is premature.
> 
> Dave, it really is a personal decision as to which effort you wish to
> focus
> on and only you can make this call.
> 
> just my .02
> 
> Dick
> http://www.8760.com
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik
> 
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
> really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
> 
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
> be
> impossible and impractical for any work I do in one group to not influence
> the other.
> 
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
> work
> on.
> 
> I therefore thought it only fair to draw to the attention of the IETF
> Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
> 
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
> of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
> 
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
> 
> As far as the other initiatives are concerned, then I agree that we need
> to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
> 
> Finally I think there are both benefits and disadvantages to both ebXML
> and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
> 
> Regards
> 
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
> 
> 
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David, you are trying to force an "either one or the other" decision.
> 
> I don't think that is appropriate at this time or the only option. An
> option
> exists where team leaders and workgroup leaders coordinate between the
> ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
> 
> I have been talking with Microsoft and IBM on the issue. it is too early
> to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
> 
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
> 
> 
> To Members of the IETF Trade Working Group ...
> 
> The purpose of this email is to solicit opinions from the IETF Trade
> Working
> Group on the "best" forum for developing specifications for "XML
> Messaging".
> 
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
> 
> Clearly it does not make sense for two - probably competing -
> specifications
> to be developed in the same area. Hence this email.
> 
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
> 
> I encourage members of the Trade Working Group to make known their views
> on
> these alternatives development forums.
> 
> Regards
> 
> David Burdett
> 
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
> 
> ======================================
> 
> The following provides:
> *    a brief recap on XML Messaging
> *    a more detailed explanation of ebXML, and
> *    a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
> 
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
> http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-0
> 0

Date: Thu, 17 Feb 2000 10:43:14 +1100
From: "Michie, Alan" <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: 'Rik Drummond' <[email-masked]>, David Burdett <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

To Rik Drummond, Dave Burdett

Greetings from Australia

I am in favour of the approach suggested by Rik, and suggest we get on with
the next step.

I have previously emailed Dave Burdett, offering to give some assistance to
the group in producing a tight specification of the "generic approach" which
is outlined in his document ....xmlmessage "requirements".  I should be able
to assist in many parts of such a specification, although I am a relative
newcomer to the areas of security, tamper resistance and authentication.

Is there already a draft on which comments are invited or are you waiting
for someone to produce the first draft?

Regards

Alan Michie
Project Leader
eBusiness Program
Telstra Research Laboratories

> -----Original Message-----
> From:	Rik Drummond [SMTP:[email-masked]]
> Sent:	Thursday, 17 February 2000 12:43 am
> To:	David Burdett; [email-masked]
> Cc:	Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject:	RE: What's the right forum for developing XML Messaging
> 
> I have spent the last week in discussions with various IETF wg chairs
> on the XML header issue. here is where we stand:
> 	- two of IETF wg's have CLEAR impact in this area: 1) EDIINT and 2)
> IOTP
> 
> 	- EDIINT has it in its charter
> 
> 	- IOTP has a proposal to put it in it charter
> 
> 	- IOTP chair has no problem with EDIINT leading the XML header
> 	requirements and definition effort over the next 6 months
> 
> 	- EDIINT needs to define these headers within its workgroup anyway
> 
> I propose the following:
> 	- EDIINT drive this effort unofficially from IETF'S point of view.
> 	I lead the ebXML transport team and am chair of the EDIINT wg...
> 	so this is completely doable and I thank will resolve many of the
> 	issues Dave Burdett has noted.
> 
> 	- I, with Dave Burdett the author of the XML messaging paper and
> 	the editor for the ebXML transport team, will coordinate the IETF
> 	and ebXML efforts to that we don't do it twice. (or three times)
> 
> 	- I suggest, we think of the XML messaging paper Dave has authored
> as
> 	under EDIINT wg for the next six months so that EDIINT will not
> 	have to do another one
> 
> 	- the resulting work from the requirements and the XML header
> definition
> 	will be issued through IETF'S EDIINT and IOTP wg's and the ebXML
> transport
> team.
> 
> 	- I Will investigate making this relationship formal between the
> IETF and
> ebXML
> 
> if this is not a problem with anyone, we will move forward quickly..
> 
> best regards, Rik
> -----Original Message-----
> From: David Burdett [mailto:[email-masked]]
> Sent: Tuesday, February 15, 2000 1:20 AM
> To: [email-masked]; Rik Drummond
> Cc: Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Bob
> 
> You say ...
> 
> >>>However, we welcome the participation of the IETF and we are happy to
> have a dialog about how we can most effectively use the resources of both
> organizations to produce the highest quality result.<<<
> 
> Neither the IETF nor the ebXML have ANY resources. What they do have is
> individuals who work for companies who aim to develop solutions to common
> problems in an open way for the benefit of themselves, their companies and
> the wider community.
> 
> Whether the individuals concerned work within the domain of the IETF or
> ebXML is immaterial. If the same group of individuals work on essentially
> the same problems from the same starting point in either forum then the
> end
> result will be very similar.
> 
> I am actually neutral about whether work, such as the TP&R work, should be
> done in the IETF or ebXML as I think either could work. What really counts
> is finding a forum for a community of individuals representing the
> companies
> who will actually implement the solutions to work rapidly towards a common
> end point. If we don't then we will risk the development of competing
> standards which is in no-one's interest.
> 
> So what we are talking about here really is finding a governance structure
> that works for everyone. Perhaps a joint governance approach between ebXML
> and the IETF might be appropriate and helpful if one were possible to set
> up.
> 
> I also know that individuals CAN't sensibly work to develop simultaneously
> two solutions to essentially a single problem. Hence my original email.
> 
> David
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 14, 2000 6:27 PM
> To: Rik Drummond
> Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
> (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Let me add a bit to this. Just for the record, I work for IBM, I'm on the
> OASIS board,
> and I'm Vice-Chair of ebXML.
> 
> IBM has participated in many of the fine efforts of the IETF. So it is
> wrong to say in
> any way that IBM is anti-IETF. We will continue to particpate in the IETF,
> ebXML, OASIS,
> W3C, HL7, IFX Forum, ...
> 
> The ebXML effort is a unique attempt by more than 100 people representing
> over 50
> companies, consortiums, and trade organizations to provide a coherent,
> unified
> infrastructure solution around XML for e-business. In order to relevant,
> this work must be
> done quickly and thus must synthesize quality work that has been done
> elsewhere.
> In some cases the work we do will be new, but we will always first look at
> existing
> art and we will work with other consortiums where appropriate. In the case
> where the
> other work is being done concurrently, we will endeavor to work together
> with the
> other consortium to create a final standard that is actually useful and
> does not
> divide the industry. We welcome all organizations involved to share in
> this
> commitment. We welcome all companies and organizations who are not
> involved to join us and create a positive result. We hope that their
> involvement
> from the inside will make the ebXML effort stronger and maximally
> inclusive.
> In my opinion, it does no person, company, or organization any good for
> them
> to use their lack of involvement as a poliical lever to criticize the
> effort.
> 
> The messaging work being done within Rik's group is central to much of
> what
> will come out of ebXML and is also likely to be one of the first
> deliverables. I
> therefore feel that the work must remain within ebXML. However, we welcome
> the participation of the IETF and we are happy to have a dialog about how
> we can most effectively use the resources of both organizations to produce
> the highest quality result. We are very open-minded about the
> structure of such a collaboration and in no way am I looking at this as
> being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
> make it such, I would appreciate their open statements to this effect.
> 
> _____________________________________________________
> 
> Bob Sutor
> 
>         IBM XML Strategy and Technology Group: http://www.ibm.com/xml
>         OASIS Chief Strategy Officer: http://www.oasis-open.org
> 
>         Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
>         Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757
> 
> 
> "Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
> 06:59:24 PM
> 
> Sent by:  [email-masked]
> 
> 
> To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
>       <[email-masked]>
> cc:   "ebXML Transport (E-mail)" <[email-masked]>,
>       "IETF Trade (E-mail)" <[email-masked]>
> Subject:  RE: What's the right forum for developing XML Messaging
> 
> 
> 
> ibm and microsoft are at logger-heads... forcing a decision to go to
> ietf..
> means ibm will not easily follow. forcing a decision to stay in ebxml
> means
> that microsoft will not participate.... so we should not force a decision
> by
> stirring things up until we see if we can find a win/win. i am not sure
> one
> exists... but then i am not done looking for one yet... best regards, Rik
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dick
> Brooks (E)
> Sent: Friday, February 11, 2000 9:06 PM
> To: David Burdett; Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
> 
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
> for
> endorsement. Anything else is premature.
> 
> Dave, it really is a personal decision as to which effort you wish to
> focus
> on and only you can make this call.
> 
> just my .02
> 
> Dick
> http://www.8760.com
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik
> 
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
> really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
> 
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
> be
> impossible and impractical for any work I do in one group to not influence
> the other.
> 
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
> work
> on.
> 
> I therefore thought it only fair to draw to the attention of the IETF
> Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
> 
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
> of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
> 
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
> 
> As far as the other initiatives are concerned, then I agree that we need
> to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
> 
> Finally I think there are both benefits and disadvantages to both ebXML
> and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
> 
> Regards
> 
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
> 
> 
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David, you are trying to force an "either one or the other" decision.
> 
> I don't think that is appropriate at this time or the only option. An
> option
> exists where team leaders and workgroup leaders coordinate between the
> ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
> 
> I have been talking with Microsoft and IBM on the issue. it is too early
> to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
> 
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
> 
> 
> To Members of the IETF Trade Working Group ...
> 
> The purpose of this email is to solicit opinions from the IETF Trade
> Working
> Group on the "best" forum for developing specifications for "XML
> Messaging".
> 
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
> 
> Clearly it does not make sense for two - probably competing -
> specifications
> to be developed in the same area. Hence this email.
> 
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
> 
> I encourage members of the Trade Working Group to make known their views
> on
> these alternatives development forums.
> 
> Regards
> 
> David Burdett
> 
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
> 
> ======================================
> 
> The following provides:
> *    a brief recap on XML Messaging
> *    a more detailed explanation of ebXML, and
> *    a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
> 
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
> http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-0
> 0

Resent-date: Wed, 16 Feb 2000 11:12:24 -0500 (EST)
Date: Wed, 16 Feb 2000 07:43:07 -0600
From: Rik Drummond <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>, [email-masked]
Cc: "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

I have spent the last week in discussions with various IETF wg chairs
on the XML header issue. here is where we stand:
	- two of IETF wg's have CLEAR impact in this area: 1) EDIINT and 2) IOTP

	- EDIINT has it in its charter

	- IOTP has a proposal to put it in it charter

	- IOTP chair has no problem with EDIINT leading the XML header
	requirements and definition effort over the next 6 months

	- EDIINT needs to define these headers within its workgroup anyway

I propose the following:
	- EDIINT drive this effort unofficially from IETF'S point of view.
	I lead the ebXML transport team and am chair of the EDIINT wg...
	so this is completely doable and I thank will resolve many of the
	issues Dave Burdett has noted.

	- I, with Dave Burdett the author of the XML messaging paper and
	the editor for the ebXML transport team, will coordinate the IETF
	and ebXML efforts to that we don't do it twice. (or three times)

	- I suggest, we think of the XML messaging paper Dave has authored as
	under EDIINT wg for the next six months so that EDIINT will not
	have to do another one

	- the resulting work from the requirements and the XML header definition
	will be issued through IETF'S EDIINT and IOTP wg's and the ebXML transport
team.

	- I Will investigate making this relationship formal between the IETF and
ebXML

if this is not a problem with anyone, we will move forward quickly..

best regards, Rik
-----Original Message-----
From: David Burdett [mailto:[email-masked]]
Sent: Tuesday, February 15, 2000 1:20 AM
To: [email-masked]; Rik Drummond
Cc: Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Bob

You say ...

>>>However, we welcome the participation of the IETF and we are happy to
have a dialog about how we can most effectively use the resources of both
organizations to produce the highest quality result.<<<

Neither the IETF nor the ebXML have ANY resources. What they do have is
individuals who work for companies who aim to develop solutions to common
problems in an open way for the benefit of themselves, their companies and
the wider community.

Whether the individuals concerned work within the domain of the IETF or
ebXML is immaterial. If the same group of individuals work on essentially
the same problems from the same starting point in either forum then the end
result will be very similar.

I am actually neutral about whether work, such as the TP&R work, should be
done in the IETF or ebXML as I think either could work. What really counts
is finding a forum for a community of individuals representing the companies
who will actually implement the solutions to work rapidly towards a common
end point. If we don't then we will risk the development of competing
standards which is in no-one's interest.

So what we are talking about here really is finding a governance structure
that works for everyone. Perhaps a joint governance approach between ebXML
and the IETF might be appropriate and helpful if one were possible to set
up.

I also know that individuals CAN't sensibly work to develop simultaneously
two solutions to essentially a single problem. Hence my original email.

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, February 14, 2000 6:27 PM
To: Rik Drummond
Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
(E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Tue, 15 Feb 2000 22:13:24 -0500 (EST)
Date: Tue, 15 Feb 2000 07:28:33 -0500
From: [email-masked]
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>
Cc: Rik Drummond <[email-masked]>, "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>

David,

Exactly. Let's figure out how we can all work together rather
than making this an either/or situation.

Bob

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

David Burdett <[email-masked]>@lists.oasis-open.org on
02/15/2000 02:19:54 AM

Sent by:  [email-masked]

To:   Robert S Sutor/Watson/IBM@IBMUS, Rik Drummond <[email-masked]>
cc:   "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)"
      <[email-masked]>, "IETF Trade (E-mail)"
      <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

Bob

You say ...

>>>However, we welcome the participation of the IETF and we are happy to
have a dialog about how we can most effectively use the resources of both
organizations to produce the highest quality result.<<<

Neither the IETF nor the ebXML have ANY resources. What they do have is
individuals who work for companies who aim to develop solutions to common
problems in an open way for the benefit of themselves, their companies and
the wider community.

Whether the individuals concerned work within the domain of the IETF or
ebXML is immaterial. If the same group of individuals work on essentially
the same problems from the same starting point in either forum then the end
result will be very similar.

I am actually neutral about whether work, such as the TP&R work, should be
done in the IETF or ebXML as I think either could work. What really counts
is finding a forum for a community of individuals representing the
companies
who will actually implement the solutions to work rapidly towards a common
end point. If we don't then we will risk the development of competing
standards which is in no-one's interest.

So what we are talking about here really is finding a governance structure
that works for everyone. Perhaps a joint governance approach between ebXML
and the IETF might be appropriate and helpful if one were possible to set
up.

I also know that individuals CAN't sensibly work to develop simultaneously
two solutions to essentially a single problem. Hence my original email.

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, February 14, 2000 6:27 PM
To: Rik Drummond
Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
(E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Content-return: allowed
Date: Mon, 14 Feb 2000 23:19:54 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: [email-masked], Rik Drummond <[email-masked]>
Cc: "Dick Brooks (E)" <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

Bob

You say ...

>>>However, we welcome the participation of the IETF and we are happy to
have a dialog about how we can most effectively use the resources of both
organizations to produce the highest quality result.<<<

Neither the IETF nor the ebXML have ANY resources. What they do have is
individuals who work for companies who aim to develop solutions to common
problems in an open way for the benefit of themselves, their companies and
the wider community.

Whether the individuals concerned work within the domain of the IETF or
ebXML is immaterial. If the same group of individuals work on essentially
the same problems from the same starting point in either forum then the end
result will be very similar.

I am actually neutral about whether work, such as the TP&R work, should be
done in the IETF or ebXML as I think either could work. What really counts
is finding a forum for a community of individuals representing the companies
who will actually implement the solutions to work rapidly towards a common
end point. If we don't then we will risk the development of competing
standards which is in no-one's interest.

So what we are talking about here really is finding a governance structure
that works for everyone. Perhaps a joint governance approach between ebXML
and the IETF might be appropriate and helpful if one were possible to set
up.

I also know that individuals CAN't sensibly work to develop simultaneously
two solutions to essentially a single problem. Hence my original email.

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, February 14, 2000 6:27 PM
To: Rik Drummond
Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
(E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Mon, 14 Feb 2000 22:41:39 -0500 (EST)
Date: Mon, 14 Feb 2000 21:26:43 -0500
From: [email-masked]
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: Rik Drummond <[email-masked]>
Cc: "Dick Brooks (E)" <[email-masked]>, David Burdett <[email-masked]>, "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>

Let me add a bit to this. Just for the record, I work for IBM, I'm on the
OASIS board,
and I'm Vice-Chair of ebXML.

IBM has participated in many of the fine efforts of the IETF. So it is
wrong to say in
any way that IBM is anti-IETF. We will continue to particpate in the IETF,
ebXML, OASIS,
W3C, HL7, IFX Forum, ...

The ebXML effort is a unique attempt by more than 100 people representing
over 50
companies, consortiums, and trade organizations to provide a coherent,
unified
infrastructure solution around XML for e-business. In order to relevant,
this work must be
done quickly and thus must synthesize quality work that has been done
elsewhere.
In some cases the work we do will be new, but we will always first look at
existing
art and we will work with other consortiums where appropriate. In the case
where the
other work is being done concurrently, we will endeavor to work together
with the
other consortium to create a final standard that is actually useful and
does not
divide the industry. We welcome all organizations involved to share in this
commitment. We welcome all companies and organizations who are not
involved to join us and create a positive result. We hope that their
involvement
from the inside will make the ebXML effort stronger and maximally
inclusive.
In my opinion, it does no person, company, or organization any good for
them
to use their lack of involvement as a poliical lever to criticize the
effort.

The messaging work being done within Rik's group is central to much of what
will come out of ebXML and is also likely to be one of the first
deliverables. I
therefore feel that the work must remain within ebXML. However, we welcome
the participation of the IETF and we are happy to have a dialog about how
we can most effectively use the resources of both organizations to produce
the highest quality result. We are very open-minded about the
structure of such a collaboration and in no way am I looking at this as
being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
make it such, I would appreciate their open statements to this effect.

_____________________________________________________

Bob Sutor

        IBM XML Strategy and Technology Group: http://www.ibm.com/xml
        OASIS Chief Strategy Officer: http://www.oasis-open.org

        Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
        Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757

"Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
06:59:24 PM

Sent by:  [email-masked]

To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
      <[email-masked]>
cc:   "ebXML Transport (E-mail)" <[email-masked]>,
      "IETF Trade (E-mail)" <[email-masked]>
Subject:  RE: What's the right forum for developing XML Messaging

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision
by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not
really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to
work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An
option
exists where team leaders and workgroup leaders coordinate between the
ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade
Working
Group on the "best" forum for developing specifications for "XML
Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing -
specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*    a brief recap on XML Messaging
*    a more detailed explanation of ebXML, and
*    a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00
.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/
).

The objectives of ebXML are
*    a worldwide project to standardize XML business specifications
*    develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*    industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*    inaugural meeting - 15-17 November, in California, 100 + attendees
*    follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees
UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
the TP&R team defined the scope of its work as follows:
*    provide an envelope and header for routing of message content
*    define template sequences for the exchange of messages
*    provide support for payloads of any type of digital data
*    adopt security protocols that enable:
*    non repudiation of sending of messages and acknowledgements
*    privacy and integrity of communications between parties
*    authentication of senders of messages
*    control over access to services
*    support verifiable audit trails
*    provide mechanisms for reporting on errors or other problems
*    develop a messaging protocol for reliable message delivery
*    definine the information required that describes how to interact
with a service
*    develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*    to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and
software
vendor of choice
*    to persuade a wide variety of vendors to implement the approach
*    to not reinvent the wheel - re-use where possible
*    to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*    to scale from SMEs to large companies
*    to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like
all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a
"United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*    ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*    ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*    ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*    both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Mon, 14 Feb 2000 22:18:02 -0500 (EST)
Date: Sun, 13 Feb 2000 17:59:24 -0600
From: Rik Drummond <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: "Dick Brooks (E)" <[email-masked]>, David Burdett <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

ibm and microsoft are at logger-heads... forcing a decision to go to ietf..
means ibm will not easily follow. forcing a decision to stay in ebxml means
that microsoft will not participate.... so we should not force a decision by
stirring things up until we see if we can find a win/win. i am not sure one
exists... but then i am not done looking for one yet... best regards, Rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dick
Brooks (E)
Sent: Friday, February 11, 2000 9:06 PM
To: David Burdett; Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Date: Mon, 14 Feb 2000 18:37:05 -0500
From: Keith Moore <[email-masked]>
Subject: IETF Adelaide and interim meetings for APPS WGs
Sender: [email-masked]
To: apps area chairs and working groups: ;
Cc: [email-masked]
Reply-to: [email-masked]

It has come to the attention of the Applications Area Directors
that one or more Applications area working groups have elected
to not meet in Adelaide, and instead to hold an "interim meeting"
in the United States, presumably because of distance and/or cost issues.

IETF is an international organization, and it is IETF's longstanding 
practice to hold its meetings in various locations around the planet.
This serves both to encourage wider participation in IETF and also
to more fairly distribute travel costs and inconvenience (over time) 
among all participants.  The scheduleing of an interim WG meeting in 
the US in lieu of a WG meeting in Adelaide undermines this policy.  
This is insulting to non-US participants of IETF (many of whom have 
attended meetings in the US for years), embarassing to IETF as 
a whole, and a threat to IETF's international stature.

Even if a working group has few participants outside the United
States, a working group does not work in isolation from other
working groups.  Attendance at IETF meetings is an invaluable 
mechanism for cross-group collaboration.  

RFC 2418 states:

   Interim meetings are subject to the
   same rules for advance notification, reporting, open participation,
   and process, which apply to other working group meetings.

Since normal working group meetings require advance notification
via email to the entire IETF list, and the process for getting a meeting
slot involves prior approval of the Area Directors, the same
requirements apply to interim working group meetings.  Part of the 
reason for prior approval being required is to ensure that the 
locations of the meetings are not being chosen to favor certain 
participants over others.  

There have been several violations of this policy since publication
of RFC 2418.

Therefore,

- All interim meetings within the Applications Area which were not
  previously and explicitly approved by the Applications Area Directors, 
  are hereby cancelled.

- No Applications Area group will hold any interim meeting prior
  to April 15.

- No Applications Area group which does not hold a meeting in 
  Adelaide, will hold any interim meeting prior to July 31.
  (i.e. prior to the Pittsburg IETF meeting)

- This applies to all face to face meetings held for the purpose 
  of conducting working group discussion and to which the working 
  group is invited, even if labelled "informal" or otherwise 
  labelled to distinguish them from official working group meetings.

- Exceptions to this policy may be made for recently chartered groups,
  but Area Director approval is still required for such groups to
  schedule interim meetings.

for the Applications Area Directors,

Keith Moore

Date: Sun, 13 Feb 2000 17:26:10 +0200
From: Kai Yokohama <[email-masked]>
Subject: Re: What's the right forum for developing XML Messaging
To: "Dick Brooks (E)" <[email-masked]>, David Burdett <[email-masked]>, Rik Drummond <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

Forwarded by Kai Yokohama for Ofer Avineri.
--

Dick, David and Rik,

I must add my comments here (which David is probably aware of ;-), Myself
and David had discussed the operational aspects of the XML
Messaging/Transport within the IETF. One of my suggestions was to form a new
WG dedicated to XML Transport/Messaging. The attributes behind my thinking
were the broad requirements from such mechanism. XML Transport or Messaging
mechanism would be a general mean of transporting XML elements/docs. On top
of this "protocol" there would be *many* specific designed languages that
will run on this protocol. ebXML, ECML, DSML, VOXML, MathML and so on
reflect the broad requirements from such a protocol, and therefore I believe
that we need a dedicated WG within the IETF to cover the broad range of
requirements.

I think we have a list dedicated for this subject and I can look up the old
charter document I've worked on. I suggest we'll hold a small e-BoF among us
to decide what's the community consensus,

Regards,

Ofer Avineri
E-MANAGE Product Manager,
Digital Intelligence Systems, Inc.

----- Original Message -----
From: Dick Brooks (E) <[email-masked]>
To: David Burdett <[email-masked]>; Rik Drummond
<[email-masked]>
Cc: ebXML Transport (E-mail) <[email-masked]>; IETF
Trade (E-mail) <[email-masked]>
Sent: Saturday, February 12, 2000 5:06 AM
Subject: RE: What's the right forum for developing XML Messaging

> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
>
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
for
> endorsement. Anything else is premature.
>
> Dave, it really is a personal decision as to which effort you wish to
focus
> on and only you can make this call.
>
> just my .02
>
> Dick
> http://www.8760.com
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
>
>
> Rik
>
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
>
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
be
> impossible and impractical for any work I do in one group to not influence
> the other.
>
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
work
> on.
>
> I therefore thought it only fair to draw to the attention of the IETF
Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
>
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
>
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
>
> As far as the other initiatives are concerned, then I agree that we need
to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
>
> Finally I think there are both benefits and disadvantages to both ebXML
and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
>
> Regards
>
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
>
>
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
>
>
> David, you are trying to force an "either one or the other" decision.
>
> I don't think that is appropriate at this time or the only option. An
option
> exists where team leaders and workgroup leaders coordinate between the
ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
>
> I have been talking with Microsoft and IBM on the issue. it is too early
to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
>
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
>
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
>
>
> To Members of the IETF Trade Working Group ...
>
> The purpose of this email is to solicit opinions from the IETF Trade
Working
> Group on the "best" forum for developing specifications for "XML
Messaging".
>
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
>
> Clearly it does not make sense for two - probably competing -
specifications
> to be developed in the same area. Hence this email.
>
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
>
> I encourage members of the Trade Working Group to make known their views
on
> these alternatives development forums.
>
> Regards
>
> David Burdett
>
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
>
> ======================================
>
> The following provides:
> * a brief recap on XML Messaging
> * a more detailed explanation of ebXML, and
> * a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
>
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
>
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
> txt).
>
> The objective of XML Messaging is to provide "... a generic approach to
the
> reliable, resilient, secure, tamper resistant, authenticated exchange of
XML
> or other electronic documents over insecure, unreliable transport
> mechanisms"
>
> The requirements document suggested the development of a set of related
> specifications that met the above requirement within the IETF Trade
Working
> Group.
>
> So far I have received a few emails volunteering to get involved but no
> other feedback.
>
> EBXML
> =====
> "ebXML" stands for "electronic business XML" and is a joint effort between
> the United Nations/CEFACT group and OASIS (more from
http://www.ebxml.org/).
>
> The objectives of ebXML are
> * a worldwide project to standardize XML business specifications
> * develop a technical framework that will enable XML to be utilized in
> a consistent manner for the exchange of all electronic business data
> * industry groups currently working on XML specifications have been
> invited to participate in the 18-month project
> * inaugural meeting - 15-17 November, in California, 100 + attendees
> * follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
> attendees
>
> UN/CEFACT stands for the "United Nations Centre for the Facilitation of
> Procedures and Practices for Administration, Commerce and Transport" (more
> from: http://www.unece.org/cefact/). It is the management body for
> "UN/EDIFACT - United Nations Directories for Electronic Data Interchange
for
> Administration, Commerce and Transport" (more from
> http://www.unece.org/trade/untdid/welcome.htm).
>
> The important thing about UN/EDIFACT is that they developed EDI and bring
> with them the whole EDI community. The EDI community now wants to move to
> XML so that the automation benefits that EDI has brought to large
companies
> filters down to smaller and medium sized enterprises (SMEs).
>
> A number of groups have been set up within ebXML to work on a variety of
> different areas (see
http://www.ebxml.org/project_teams/project_teams.htm).
> One of these is called the Transport Packaging & Routing team (see
> http://www.ebxml.org/project_teams/transport.htm). In the workshop last
week
> the TP&R team defined the scope of its work as follows:
> * provide an envelope and header for routing of message content
> * define template sequences for the exchange of messages
> * provide support for payloads of any type of digital data
> * adopt security protocols that enable:
> * non repudiation of sending of messages and acknowledgements
> * privacy and integrity of communications between parties
> * authentication of senders of messages
> * control over access to services
> * support verifiable audit trails
> * provide mechanisms for reporting on errors or other problems
> * develop a messaging protocol for reliable message delivery
> * definine the information required that describes how to interact
> with a service
> * develop a default method of usage that enables bootstrapping of
> services
>
> ... and objectives of:
> * to enable any party to carry out integrated eCommerce transactions
> with any other party anywhere in the world using their hardware and
software
> vendor of choice
> * to persuade a wide variety of vendors to implement the approach
> * to not reinvent the wheel - re-use where possible
> * to enable existing "messaging" solutions to "bridge" to the ebXML
> solution
> * to scale from SMEs to large companies
> * to scale from low power to high end solutions
>
> Membership of the working group is completely open and there are no
joining
> fees - just like the IETF. The specifications of the working group, like
all
> other ebXML deliverables, will completely freely available with no
> restrictions (also just like the IETF) and will be published under a
"United
> Nations" banner.
>
> The method of working of the group is a mixture of email lists (see:
> http://www.ebxml.org/participate.htm), weekly telephone calls and regular
> meetings 3-6 times a year - this is more intensive than the IETF.
>
> Finally, perhaps the most imporant objective of the ebXML Transport,
Routing
> and Packaging work group is to try and get existing related initiatives in
> the messaging area to converge. Although no firm commitments have yet been
> made, organizations as diverse as IBM, EDIINT and RosettaNet have
> participated actively in the meetings and email lists.
>
> ADVANTAGES AND DISADVANTAGES
> =============================
> Some of the advantages and disadvantages that I see are as follows:
> * ebXML has already made some good progress in developing it's ideas
> since it was formed and has a method of working that should result in the
> faster development of specifications - i.e. it has momentum
> * ebXML's focus is business-to-business eCommerce -  which is probably
> narrower than the general internet focus of the IETF
> * ebXML, although sponsored by the United Nations, is not an
> established standards setting authority such as the IETF
> * both are equally open and the results produced by either should be
> equally freely available for use.
>
> In my view it does not make sense for both the IETF Trade Working Group
and
> the ebXML initiatives to continue.
>
> Views and opinions of the members of this group will be welcomed.
>
> David Burdett
>
>

Resent-date: Fri, 11 Feb 2000 23:16:48 -0500 (EST)
Date: Fri, 11 Feb 2000 21:06:16 -0600
From: "Dick Brooks (E)" <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>, Rik Drummond <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
decision". Candidly, I'm not convinced the IETF is the right forum for an
XML standard. The IETF rules regarding RFC status of interdependcies, ref:
S/MIME,  could require us to make XML and other non-IETF standards IETF
RFC's first. As you know this can take some time.

At this juncture we know that XML Messaging is one of several fine
candidates in the running to become  the ebXML transport standard. We will
know if it's the best solution after our group has had time to evalute all
candidates in detail. I think the entire community would be best served if
we focus on identifying what is best for ebXML and when we know what the
best solution is we should pitch it to the appropriate standards bodies for
endorsement. Anything else is premature.

Dave, it really is a personal decision as to which effort you wish to focus
on and only you can make this call.

just my .02

Dick
http://www.8760.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 11, 2000 6:21 PM
To: Rik Drummond
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Content-return: allowed
Date: Fri, 11 Feb 2000 16:21:29 -0800
From: David Burdett <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
To: Rik Drummond <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>

Rik

I'm not forcing a "one or the other decision" I'm trying to be practical.
Right now IETF XML Messaging and ebXML TP&R are of just about identical
scope and at an identical stage of development. Therefore it does not really
make sense for two groups of people to work in parallel on the same
activities that might result in competing specifications.

I'm also the editor on both initiatives as well as author of the XML
Messaging Requirements document that has just been published. So it will be
impossible and impractical for any work I do in one group to not influence
the other.

More importantly I do not have the time to work on both. So on a personal
level I have no option but to choose one or other of the initiatives to work
on.

I therefore thought it only fair to draw to the attention of the IETF Trade
WG community the necessity for me to choose which initiative to work on as
well as point out the opportunity for the Trade WG members to get involved
in ebXML if they want to since I think it an important and worthwhile
open-standards initiative.

There is also an IETF Trade WG Meeting in Adelaide, Australia at the end of
March and I wanted to provide an opportunity for discussion on the email
list before the meeting as this will make any discussion in the Adelaide
meeting better informed.

There is also a possibility that I will not be able to make the Adelaide
meeting so email discussion within the IETF is in my view essential and
sooner rather than later.

As far as the other initiatives are concerned, then I agree that we need to
continue our co-ordination efforts with respect to, for example, SOAP and
EDIINT. I will be pleased to work with you in this regard.

Finally I think there are both benefits and disadvantages to both ebXML and
the IETF as forums for developing a "messaging" specification and welcome
the views of both the IETF and ebXML communities on this matter.

Regards

David
Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]]
Sent: Thursday, February 10, 2000 9:54 PM
To: David Burdett; IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Resent-date: Fri, 11 Feb 2000 09:59:08 -0500 (EST)
Date: Thu, 10 Feb 2000 23:54:26 -0600
From: Rik Drummond <[email-masked]>
Subject: RE: What's the right forum for developing XML Messaging
Sender: [email-masked]
To: David Burdett <[email-masked]>, "IETF Trade (E-mail)" <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>
Resent-message-id: <[email-masked]>
Importance: Normal

David, you are trying to force an "either one or the other" decision.

I don't think that is appropriate at this time or the only option. An option
exists where team leaders and workgroup leaders coordinate between the ebXML
and the IETF groups that have possible charters in this area. They are:
EDIINT, soap, IOTP and possibly others.

I have been talking with Microsoft and IBM on the issue. it is too early to
tell if we can establish coordination and hence too early to decide on
"either one or the other".

Best regards, Rik
team leader ebXML transport and packaging team &
chair IETF EDIINT wg

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Thursday, February 10, 2000 6:12 PM
To: IETF Trade (E-mail)
Cc: ebXML Transport (E-mail)
Subject: What's the right forum for developing XMl Messaging

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

Content-return: allowed
Date: Thu, 10 Feb 2000 16:11:31 -0800
From: David Burdett <[email-masked]>
Subject: What's the right forum for developing XMl Messaging
To: "IETF Trade (E-mail)" <[email-masked]>
Cc: "ebXML Transport (E-mail)" <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

--Boundary_(ID_m+9fftJy9G72XuT44LDzTA)
Content-type: text/plain; charset="iso-8859-1"

To Members of the IETF Trade Working Group ...

The purpose of this email is to solicit opinions from the IETF Trade Working
Group on the "best" forum for developing specifications for "XML Messaging".

Although I have made one submission on this topic to this working group,
interest in developing this type of specification has also arisen within
ebXML which is a joint United Nations/OASIS development.

Clearly it does not make sense for two - probably competing - specifications
to be developed in the same area. Hence this email.

The remainder of this email contains some background information on XML
Messaging and ebXML.

I encourage members of the Trade Working Group to make known their views on
these alternatives development forums.

Regards

David Burdett

Advanced Technology, CommerceOne
1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
Tel: +1 (925) 941 4422 or +1 (650) 623 2888; 
mailto:[email-masked]; Web: http://www.commerceone.com

======================================

The following provides:
*	a brief recap on XML Messaging
*	a more detailed explanation of ebXML, and
*	a brief evaluation of some of the advantages and disadvantages, as I
see it, for using either to develop specifications like "XML Messaging"

XML MESSAGING SPEC
==================
On 25th January an Internet Draft titled "Requirements for XML Messaging
Version 1.0 Release 00" was published (see
http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-00.
txt).

The objective of XML Messaging is to provide "... a generic approach to the
reliable, resilient, secure, tamper resistant, authenticated exchange of XML
or other electronic documents over insecure, unreliable transport
mechanisms"

The requirements document suggested the development of a set of related
specifications that met the above requirement within the IETF Trade Working
Group.

So far I have received a few emails volunteering to get involved but no
other feedback.

EBXML
=====
"ebXML" stands for "electronic business XML" and is a joint effort between
the United Nations/CEFACT group and OASIS (more from http://www.ebxml.org/).

The objectives of ebXML are 
*	a worldwide project to standardize XML business specifications
*	develop a technical framework that will enable XML to be utilized in
a consistent manner for the exchange of all electronic business data
*	industry groups currently working on XML specifications have been
invited to participate in the 18-month project
*	inaugural meeting - 15-17 November, in California, 100 + attendees
*	follow up meeting - 31 Jan - 4 Feb in Orlando, Florida 120+
attendees

UN/CEFACT stands for the "United Nations Centre for the Facilitation of
Procedures and Practices for Administration, Commerce and Transport" (more
from: http://www.unece.org/cefact/). It is the management body for
"UN/EDIFACT - United Nations Directories for Electronic Data Interchange for
Administration, Commerce and Transport" (more from
http://www.unece.org/trade/untdid/welcome.htm).

The important thing about UN/EDIFACT is that they developed EDI and bring
with them the whole EDI community. The EDI community now wants to move to
XML so that the automation benefits that EDI has brought to large companies
filters down to smaller and medium sized enterprises (SMEs).

A number of groups have been set up within ebXML to work on a variety of
different areas (see http://www.ebxml.org/project_teams/project_teams.htm).
One of these is called the Transport Packaging & Routing team (see
http://www.ebxml.org/project_teams/transport.htm). In the workshop last week
the TP&R team defined the scope of its work as follows:
*	provide an envelope and header for routing of message content
*	define template sequences for the exchange of messages
*	provide support for payloads of any type of digital data
*	adopt security protocols that enable:
*	non repudiation of sending of messages and acknowledgements
*	privacy and integrity of communications between parties
*	authentication of senders of messages
*	control over access to services
*	support verifiable audit trails
*	provide mechanisms for reporting on errors or other problems
*	develop a messaging protocol for reliable message delivery
*	definine the information required that describes how to interact
with a service
*	develop a default method of usage that enables bootstrapping of
services

... and objectives of:
*	to enable any party to carry out integrated eCommerce transactions
with any other party anywhere in the world using their hardware and software
vendor of choice
*	to persuade a wide variety of vendors to implement the approach
*	to not reinvent the wheel - re-use where possible
*	to enable existing "messaging" solutions to "bridge" to the ebXML
solution
*	to scale from SMEs to large companies
*	to scale from low power to high end solutions

Membership of the working group is completely open and there are no joining
fees - just like the IETF. The specifications of the working group, like all
other ebXML deliverables, will completely freely available with no
restrictions (also just like the IETF) and will be published under a "United
Nations" banner.

The method of working of the group is a mixture of email lists (see:
http://www.ebxml.org/participate.htm), weekly telephone calls and regular
meetings 3-6 times a year - this is more intensive than the IETF.

Finally, perhaps the most imporant objective of the ebXML Transport, Routing
and Packaging work group is to try and get existing related initiatives in
the messaging area to converge. Although no firm commitments have yet been
made, organizations as diverse as IBM, EDIINT and RosettaNet have
participated actively in the meetings and email lists.

ADVANTAGES AND DISADVANTAGES
=============================
Some of the advantages and disadvantages that I see are as follows:
*	ebXML has already made some good progress in developing it's ideas
since it was formed and has a method of working that should result in the
faster development of specifications - i.e. it has momentum
*	ebXML's focus is business-to-business eCommerce -  which is probably
narrower than the general internet focus of the IETF
*	ebXML, although sponsored by the United Nations, is not an
established standards setting authority such as the IETF
*	both are equally open and the results produced by either should be
equally freely available for use.

In my view it does not make sense for both the IETF Trade Working Group and
the ebXML initiatives to continue.

Views and opinions of the members of this group will be welcomed.

David Burdett

--Boundary_(ID_m+9fftJy9G72XuT44LDzTA)
Content-type: application/ms-tnef
Content-transfer-encoding: base64

--Boundary_(ID_m+9fftJy9G72XuT44LDzTA)--

Date: Thu, 03 Feb 2000 19:33:19 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: TRADE WG meeting in Adelaide
To: [email-masked]
Cc: [email-masked]

The TRADE working group meeting at the 47th IETF meeting in Adelaide,
Australia, has been tentatively scheduled for the morning of Wednesday,
March 29th.

Donald
=====================================================================
 Donald E. Eastlake 3rd                      [email-masked]
 65 Shindegan Hill Road, RR#1                     +1 914-276-2668(h)
 Carmel, NY 10512 USA                             +1 508-261-5434(w)

Date: Thu, 03 Feb 2000 06:39:45 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-drt-requirements-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_6YWDUk4XyREoZT7CqKZ0cg)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Requirements for Digital-Right Trading
	Author(s)	: K. Fujimura
	Filename	: draft-ietf-trade-drt-requirements-00.txt
	Pages		: 9
	Date		: 02-Feb-00
	
In purchase and other trading transactions, it is often required to
credit loyalty points, collect digital coupons or gift certificates, and
so on. The IETF Trade Working Group is investigating how these
activities can be generalized using the concept of a 'digital-right',
which is a digital representation of the right to claim goods or
services. This document contains the requirements in the following
areas:
- The digital rights trading model
- The language to describe diverse types of digital rights

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-drt-requirements-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-drt-requirements-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-drt-requirements-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_6YWDUk4XyREoZT7CqKZ0cg)
Content-type: MULTIPART/ALTERNATIVE;
 BOUNDARY="Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)"

--Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)
Content-type: Message/External-body; access-type="mail-server";
 server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-drt-requirements-00.txt

--Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)
Content-type: Message/External-body;
 name="draft-ietf-trade-drt-requirements-00.txt"; site="ftp.ietf.org";
 access-type="anon-ftp"; directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_+tJOwuD8tMibo8LRd2M0Ng)--

--Boundary_(ID_6YWDUk4XyREoZT7CqKZ0cg)--

Date: Thu, 03 Feb 2000 15:01:25 +0900
From: Ko Fujimura <[email-masked]>
Subject: Digital-Right Trading Requirements
To: [email-masked]

Hi all,

I've submitted the first draft of a digital-right trading requirement
document to the Internet drafts editor. I think this is will be
published within a few days. Any comments, suggestions, or questions
are appreciated.

Thanks,

Ko